Correct misspellings in source code (old)

RESOLVED FIXED

Status

()

defect
--
trivial
RESOLVED FIXED
18 years ago
2 years ago

People

(Reporter: mozilla.org, Assigned: mkohler)

Tracking

Trunk
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [please use bug 506041 for new misspellings])

Attachments

(9 attachments, 59 obsolete attachments)

644 bytes, patch
timeless
: review?
wtc
kaie
: review+
Details | Diff | Splinter Review
114.12 KB, patch
timeless
: review-
Details | Diff | Splinter Review
52.09 KB, patch
timeless
: review-
Details | Diff | Splinter Review
3.35 KB, patch
Details | Diff | Splinter Review
19.91 KB, patch
Details | Diff | Splinter Review
17.38 KB, patch
timeless
: review+
Details | Diff | Splinter Review
1.89 KB, patch
mrbkap
: review+
Details | Diff | Splinter Review
16.08 KB, patch
mkohler
: review+
Details | Diff | Splinter Review
9.29 KB, patch
mkohler
: review+
Details | Diff | Splinter Review
The string "seperator" appears many times in the source, including variable
names, etc. The correct spelling is "separator."

http://lxr.mozilla.org/seamonkey/search?string=seperator
Posted patch s///g by perl (obsolete) — Splinter Review
alecf:
http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/xpfe/global/resources/content/nsTreeController.js&rev=1.8&mark=129,48#125
http://lxr.mozilla.org/mozilla/search?string=seperatorUri
your code is broken. hrm, i guess that means we need to make sure that we
weren't padding around it.
Assignee: asa → timeless
Status: UNCONFIRMED → NEW
Ever confirmed: true
QA Contact: doronr → mozilla.org
There are also some occurrences of other forms like "seperate" and "seperating,"
mostly in comments

http://lxr.mozilla.org/seamonkey/search?string=seperat
For the change below. I don't see any matching definition of this value, in the
patch, which leads me to believe something was missed. But a lxr search only
turns up this, so I think something else is wrong here.
 
===================================================================
RCS file: /cvsroot/mozilla/xpfe/global/resources/content/nsTreeController.js,v
retrieving revision 1.8
diff -u -0 -r1.8 nsTreeController.js
--- xpfe/global/resources/content/nsTreeController.js	2001/09/28 20:14:05	1.8
+++ xpfe/global/resources/content/nsTreeController.js	2001/10/24 14:44:31
@@ -129 +129 @@
-            if (type == seperatorUri)
+            if (type == separatorUri)
The first use of separatorUri doesn't show up in the patch because it uses the
correct spelling:

http://lxr.mozilla.org/seamonkey/source/xpfe/global/resources/content/nsTreeController.js#48
boehm requires mail to the maintainer (not a mozilla.org project)

glib requires mail to someone (gnome.org)

re dbradley's concern yes, it took me a bit, but you'll note that my bonsai url
included the other spelling.

patches for the other stuff coming. some minor conerns: NSPR and PSM are locked,
there is code in both to be changed, i'll try to separate those out.
Status: NEW → ASSIGNED
One more:

http://lxr.mozilla.org/seamonkey/search?string=broser

(browser?)
Ok, good, then this actually fixes a bug as well as clean up this mispelling.
Comment on attachment 54865 [details] [diff] [review]
s///g by perl

r=dbradley

I built with the patch under Linux and Win32. No problems.
Attachment #54865 - Flags: review+
/xpinstall/wizard/windows/setup/extra.c, line 6068 -- /* check for both 'Verify
Existance' and 'Verify Existence' */

It appears there's going to be one place where i don't get to do the change :-o

filed bug 106832, bug 106839, bug 106836, and bug 106842 for some code changes.

I'll file a bug for peristant* code changes too.
Depends on: 106832, 106836, 106839, 106842
Summary: "separator" misspelled "seperator" in source → rid source of these misspellings: persistant persistance priviledge protocal editting editted targetted targetting
Depends on: 106853
Another

http://lxr.mozilla.org/mozilla/search?string=delimeter ("delimiter")

You can probably chase spelling errors in the source all day and still never fix
them all--maybe just find and fix the most important ones? That of course begs
the question of which ones are important....
Submitted two patch files.
First is for safe spelling corrections within comment blocks for these cases:

http://lxr.mozilla.org/mozilla/search?string=nestcape
http://lxr.mozilla.org/mozilla/search?string=expresion
http://lxr.mozilla.org/mozilla/search?string=eveluate
http://lxr.mozilla.org/mozilla/search?string=charcaters
http://lxr.mozilla.org/mozilla/search?string=sorce+socket
http://lxr.mozilla.org/mozilla/search?string=retunr
http://lxr.mozilla.org/mozilla/search?string=adress
http://lxr.mozilla.org/mozilla/search?string=sesion
http://lxr.mozilla.org/mozilla/search?string=hmtl
http://lxr.mozilla.org/mozilla/search?string=acess
http://lxr.mozilla.org/mozilla/search?string=suport
http://lxr.mozilla.org/mozilla/search?string=mesage
http://lxr.mozilla.org/mozilla/search?string=controler
http://lxr.mozilla.org/mozilla/search?string=comand
http://lxr.mozilla.org/mozilla/search?string=fucntion
http://lxr.mozilla.org/mozilla/search?string=warnning

Second is for corrections to misspellings in identifiers; I haven't tested
compilation even, so merge and let me know if you need any tweaks:
http://lxr.mozilla.org/mozilla/search?string=atribute
http://lxr.mozilla.org/mozilla/search?string=delimeter
http://lxr.mozilla.org/mozilla/search?string=depricated
NOTES:
depricated, delimeter, atribute:
Test well since these are misspelled in identifiers.

acess:

Not corrected:
/l10n/tools/mozxlator/gui/dialog/EditPhraseDialog.java, line 78
...
Comments state not to edit this code; it's generated by a GUI builder
of some type.

adress:

Not corrected:
/mstone/doc/MailStone.html, line 1409  -- be inserted into the first <FONT
FACE="courier, courier new, monospace">%ld</FONT> in the <FONT FACE="courier,
courier new, monospace">adressFormat</FONT>.
/mstone/doc/stone.mif, line 15908 -- <OKWord `adressFormat'>
/mstone/doc/stone.mif, line 16851 -- <String `adressFormat'>

Also not corrected were German correct spellings of adresse (mainly in
the I10N locale files).

sesion:

Please inspect:
http://lxr.mozilla.org/mozilla/source/xpfe/components/autocomplete/src/nsLDAPAutoCompleteSession.cpp#154

suport:

Please inspect:
http://lxr.mozilla.org/mozilla/source/editor/libeditor/html/nsHTMLEditRules.cpp#4509
And #4510 as well (seems good to me)

Not changed:
/security/jss/org/mozilla/jss/pkix/cmc/OtherInfo.java, line 56 --
public static final int UNSUPORTED_EXT = 5;

Couldn't see that any other Java code (maybe external?) depended on it.

mozila:

These need to be looked at:
http://lxr.mozilla.org/mozilla/search?string=mozila

I do have the shell/sed scripts I cobbled together for search/replace.
Comment on attachment 55962 [details] [diff] [review]
Correct misspellings within comment blocks (safe changes)

r=adamlock
Attachment #55962 - Flags: review+
/gfx/src/xprint/xprintutil_printtofile.c, line 379 -- /* remove the file if not
successfull */
http://www.howto4u.com/testimonials.htm has a nice list, i'll need to see if any
of them apply here.

i think if alright appears in mozilla i'll leave it alone, as m-w says it's ok.
http://lxr.mozilla.org/mozilla/search?string=indepenant 

s!ile!file!
/xpfe/global/resources/content/bindings/general.xml, line 50 -- - outliner's so
we can build in some of the ile behavior (such as going

s!build indepenant!built independently!

/modules/zlib/src/makefile.win, line 27 -- # New build system where zip dll is
build indepenant of java stubs.
/mailnews/mime/cthandlers/calendar/makefile.win, line 38 -- # New build system
where zip dll is build indepenant of java stubs.
/mailnews/mime/cthandlers/glue/makefile.win, line 31 -- # New build system where
zip dll is build indepenant of java stubs.
/mailnews/mime/cthandlers/smimestub/Makefile.win, line 31 -- # New build system
where zip dll is build indepenant of java stubs.
/mailnews/mime/cthandlers/vcard/makefile.win, line 40 -- # New build system
where zip dll is build indepenant of java stubs.

s!build!built!
/netwerk/build/nsNetModule.cpp, line 683 -- // The register functions for the
build in 
note: ILE isn't actually a misspelling. :-(
Comment on attachment 62238 [details] [diff] [review]
Next round: Comment 23 .. Comment 29

r=cmanske
Attachment #62238 - Flags: review+
Comment on attachment 62238 [details] [diff] [review]
Next round: Comment 23 .. Comment 29

sr=jst
Attachment #62238 - Flags: superreview+
this was done by loading all files into wordperfect.  it took quite a while.
wtc: could you please exmanine and land the nspr changes? the only one which i 
didn't do consistently was indemnify which is consistently misspelled in a 
legal block.
mitchell: should i be correcting that misspelling (if so i guess 
wtc would have to fix the instance i missed)
bookmakrs
peterl contributed 'realtive'
mitchell, someone introduced a bade meme into license headers,
http://lxr.mozilla.org/mozilla/search?string=oqr
Do i need special permission to fix it?
Summary: rid source of these misspellings: persistant persistance priviledge protocal editting editted targetted targetting → rid source of misspellings
Go ahead and fix it.  The published version of the MPL doesn't even have this
typo in it, so there's no issue.

mitchell
s/bade/bad/ *sigh* ok, i'll try to have my next patch by sunday night.
ie. => i.e., eg. => e.g.
I'm glad to see I'm not the only one who makes this mistake:

http://lxr.mozilla.org/seamonkey/search?string=similiar
Attachment #54865 - Attachment is obsolete: true
Attachment #55908 - Attachment is obsolete: true
Attachment #55962 - Attachment is obsolete: true
Attachment #55963 - Attachment is obsolete: true
Attachment #62238 - Attachment is obsolete: true
Comment on attachment 74694 [details] [diff] [review]
Next round: Comment 37 .. Comment 46

sr=blake
Attachment #74694 - Flags: superreview+
Comment on attachment 74694 [details] [diff] [review]
Next round: Comment 37 .. Comment 46

r=db48x
Attachment #74694 - Flags: review+
Comment on attachment 74694 [details] [diff] [review]
Next round: Comment 37 .. Comment 46

i won't check in the changes to other-licenses. i'll try to find some people to
contact about them.

wtc: can you arrange to commit/review the nss changes?
Comment on attachment 74694 [details] [diff] [review]
Next round: Comment 37 .. Comment 46

a=asa (on behalf of drivers) for checkin to the 1.0 trunk
Attachment #74694 - Flags: approval+
*** Bug 133028 has been marked as a duplicate of this bug. ***
from bug 133028:
The XPCOM api uses flavor everywhere. The JS helper functions in nsDragAndDrop 
etc. all use flavour. This is driving me crazy. Can we change to the consistent
use of the American spelling (Best before the 1.0 Release and widespread usage). 
Only the JS code need be changed.
Where does it say that Mozilla is an American project?  Flavour is the correct
spelling in most English speaking counties other than America.  Please don't
change this.  This whole bug is honestly a waste of time and bandwidth as it
forces people  to pull down all these changes and rebuild with them, with the
changes providing little if any benefit.  Don't you have better things to do
with your time?
That bug asks for consistency. Which is a very reasonable request. However I'm 
not going to make any fix for that bug under this bug's banner.
has the 03/17/02 patch landed? if so can you please mark it obsolete so this
doesn't look like an approved change ready to land? thanks.
Attachment #74694 - Attachment is obsolete: true
Should bug 93834 block this one?
Depends on: 93834
Actually, ignore my last comment.  It turns out that is a (correct) alternate
spelling.
*** Bug 195594 has been marked as a duplicate of this bug. ***
Posted patch Spelling Fixes (obsolete) — Splinter Review
Fixes avilable, equivilent, equivilant, juast, and a few others.
Attachment #113256 - Attachment is obsolete: true
Attachment #116049 - Attachment is obsolete: true
Attachment #116050 - Attachment is obsolete: true
Attachment #117680 - Flags: superreview?(dmose)
Attachment #117680 - Flags: review?(timeless)
Posted patch Fixed Spelling Fixes Patch (obsolete) — Splinter Review
Fixed patch
Attachment #117680 - Attachment is obsolete: true
Attachment #117681 - Attachment is obsolete: true
Final Patch
Attachment #117682 - Flags: review?(timeless)
Comment on attachment 117682 [details] [diff] [review]
Spelling Patch - Final Version

sr=dmose
Attachment #117682 - Flags: superreview+
Comment on attachment 117682 [details] [diff] [review]
Spelling Patch - Final Version

r=doron
Attachment #117682 - Flags: review?(timeless) → review+
How can this "Final Version" be considered reviewed/super-reviewed when it
doesn't fix the problems noted in some of the other patches?

widget/src/xpwidgets/nsTransferable.cpp still contains "Avilable", but was
obsoleted by this patch.  There are probably others as well.
Im sorry for the confusion.

That was not a "Final Patch", It was just the final version of that patch.  I
attached 3 versions of that patch I believe, so I just called that one the final
version for clarity.

I'll fix the avilable in my next patch, tomorrow most likely.
Reassiging to me, and cc'ing timeless by request.

I'll have that instance of avilable fixed soon.  I thought I caught all of them
except the ones in security/nss and NSPR which are locked.
Assignee: timeless → nb
Status: ASSIGNED → NEW
Status: NEW → ASSIGNED
Attachment #117680 - Flags: superreview?(dmose)
Attachment #117680 - Flags: review?(timeless)
Comment on attachment 117682 [details] [diff] [review]
Spelling Patch - Final Version

Obsoleting since it is checked in now
Attachment #117682 - Attachment is obsolete: true
Posted patch Fixes for seper* (obsolete) — Splinter Review
This patch fixes most occurences of seper*
Attachment #118230 - Flags: superreview?(dmose)
Attachment #118230 - Flags: review?(cbiesinger)
Comment on attachment 118230 [details] [diff] [review]
Fixes for seper*

+	     if (printData.mPrintFramesSeparatly)

"mPrintFramesSeparately" please

+ePrintFramesSeparatlyControlID,

here too

+resource 'CNTL' (ePrintFramesSeparatlyControlID, "Print Frames Separately",
purgeable) {
and here

+  ControlRef  thePrintFramesSeparatly;

again

			   field, we must make it be a well-formed continuation
line,
-			   by seperating the old and new data with CR-LF-TAB.
+			    by separating the old and new data with CR-LF-TAB.

indentation is wrong here

	 is one) or `group' (if there is one) or `host_and_port' (otherwise.)
-	 Seperate the search data from what it is clinging to, being careful
+	  Separate the search data from what it is clinging to, being careful

here too

+/* *		  - fixed separate read() & display() processing	     *
*/

libmng is an external library... please tell gjuyn@3-t.com about your changes.

-	// Since the Mac doesn't consider each window a seperate process this
call functions
+	 // Since the Mac doesn't consider each window a separate process this
call functions
	// slightly different than on other platforms.	We first check to see
if we're the

wrong indentation

-	functions; working similar to the above. (they have the semantic
+	 functions; working similar to the above. (they have the semantic

again. and what is the change here, anyway?

-	functions that will return a newly allocated string seperatedly. all of

+	 functions that will return a newly allocated string separately. all of

again

-	    # Compile a seperate program for each library.
+	     # Compile a separate program for each library.

indentation...
Attachment #118230 - Flags: superreview?(dmose)
Attachment #118230 - Flags: review?(cbiesinger)
Attachment #118230 - Flags: review-
Posted patch Revised fixes for seper* (obsolete) — Splinter Review
Attachment #118230 - Attachment is obsolete: true
Attachment #118232 - Flags: superreview?(dmose)
Attachment #118232 - Flags: review?(cbiesinger)
Attachment #118232 - Flags: review?(cbiesinger) → review+
Comment on attachment 118232 [details] [diff] [review]
Revised fixes for seper*

Please don't change the glib and libIDL stuff; that'll just make any future
merges from or comparisons with the main glib tree harder.  These aren't really
part of mozilla proper:

>Index: xpcom/typelib/xpidl/glib/glib-1.2.1/ChangeLog

>Index: xpcom/typelib/xpidl/glib/glib-1.2.1/NEWS

>Index: xpcom/typelib/xpidl/glib/glib-1.2.1/ltmain.sh

>Index: xpcom/typelib/xpidl/glib/glib-1.2.1/gmodule/gmodule.c

>Index: xpcom/typelib/xpidl/libidl/libIDL-0.6.5/ltmain.sh

So remove the changes to those files, and assuming that the rest of your
changes compile and test properly, sr=dmose.
Attachment #118232 - Flags: superreview?(dmose) → superreview+
Attachment #118232 - Attachment is obsolete: true
Comment on attachment 118245 [details] [diff] [review]
Really revised fixes for seper*

Carrying over r=cbiesinger, sr=dmose
Attachment #118245 - Flags: superreview+
Attachment #118245 - Flags: review+
Summary: rid source of misspellings → Correct misspellings in source code
Posted patch Avilable fixes (obsolete) — Splinter Review
Attachment #124247 - Attachment is obsolete: true
Posted patch Avilable fixes (obsolete) — Splinter Review
Depends on: 207067
Attachment #124248 - Flags: review?(timeless)
Comment on attachment 124248 [details] [diff] [review]
Avilable fixes

Brendan:

Can you sr= or rs= this? 

Timeless mentioned that you or someone else might have rs='ed spelling changes
already, but wasn't sure.
Attachment #124248 - Flags: superreview?(brendan)
Comment on attachment 124248 [details] [diff] [review]
Avilable fixes

> ===========
> 
> 1) start the server, with python server.py
>-2) Get an file of all tests avilable by getting http://localhost:8000/
>+2) Get an file of all tests available by getting http://localhost:8000/

Since you're bothering to fix trivia, why not fix the incorrect article ("an
file") too?

This seems like the last thing to work on right now.  It also seems like a
lifelong hobby, unless you plan on automating.

>--- nsTransferable.cpp	18 Apr 2003 20:20:00 -0000	1.59
>+++ nsTransferable.cpp	27 May 2003 01:41:14 -0000
>@@ -86,7 +86,7 @@
>   void SetData( nsISupports* inData, PRUint32 inDataLen );
>   void GetData( nsISupports** outData, PRUint32 *outDataLen );
>   nsIFile * GetFileSpec(const char * aFileName);
>-  PRBool IsDataAvilable() const { return (mData && mDataLen > 0) || (!mData && mCacheFileName); }
>+  PRBool IsDataAvailable() const { return (mData && mDataLen > 0) || (!mData && mCacheFileName); }
>   
> protected:
> 
>@@ -418,7 +418,7 @@
> 
>   for ( PRInt32 i=0; i < mDataArray->Count(); ++i ) {
>     DataStruct * data = (DataStruct *)mDataArray->ElementAt(i);
>-    if (data->IsDataAvilable()) {
>+    if (data->IsDataAvailable()) {
>       *aFlavor = ToNewCString(data->GetFlavor());
>       data->GetData(aData, aDataLen);
>       return NS_OK;

Ok, this is a better fix to make.  Although were the interface ever a candidate
for freezing (it's not frozen, right?), the typo would get fixed, I'm sure.

/be
Attachment #124248 - Flags: superreview?(brendan) → superreview+
Attachment #124248 - Attachment is obsolete: true
Comment on attachment 124250 [details] [diff] [review]
Avilable --- Also changes an to a

Carrying over sr=brendan
Attachment #124250 - Flags: superreview+
Attachment #124250 - Flags: review?(timeless)
Attachment #124248 - Flags: review?(timeless)
Attachment #124250 - Flags: review?(timeless) → review+
Comment on attachment 63787 [details] [diff] [review]
a complete set of fixes for nspr

Timeless is making a new nspr patch.
Attachment #63787 - Attachment is obsolete: true
Attachment #118245 - Attachment is obsolete: true
Comment on attachment 124250 [details] [diff] [review]
Avilable --- Also changes an to a

Checked in by dwitte
Attachment #124250 - Attachment is obsolete: true
Attachment #132483 - Flags: review?(timeless)
Attachment #132483 - Flags: review?(timeless) → review+
Attachment #132483 - Flags: superreview?(bzbarsky)
Attachment #132483 - Flags: superreview?(bzbarsky) → superreview+
Attachment #132483 - Attachment is obsolete: true
This is the only such misspelling of "Dropping" in /mozilla.
Comment on attachment 134227 [details] [diff] [review]
patch for "Droping" typo in nsTimerImpl.cpp

Once again, a typo inside a string.  Too bad it's only one.
Attachment #134227 - Flags: superreview?(darin)
Attachment #134227 - Flags: review?(pavlov)
Comment on attachment 134227 [details] [diff] [review]
patch for "Droping" typo in nsTimerImpl.cpp

r+sr=darin
Attachment #134227 - Flags: superreview?(darin)
Attachment #134227 - Flags: superreview+
Attachment #134227 - Flags: review?(pavlov)
Attachment #134227 - Flags: review+
Posted patch patch for referingURI (obsolete) — Splinter Review
As requested by bug 99625.  Thanks timeless for the cc there.
Attachment #134486 - Flags: review?(timeless)
Attachment #116051 - Flags: review?(wchang0222)
Attachment #134227 - Attachment is obsolete: true
Comment on attachment 134486 [details] [diff] [review]
patch for referingURI

After careful consideration, I think it much better to fix all instances of
"refering" in our source code.	Patch coming up as soon as possible.
Attachment #134486 - Attachment is obsolete: true
Attachment #134486 - Flags: review?(timeless)
Comment on attachment 134538 [details] [diff] [review]
patch for refering => referring

Is there anyone I need to get moa from on this patch?  (The spelling fixes
touch almost entirely comments and non-executing strings.)
Attachment #134538 - Flags: review?(timeless)
Attachment #134538 - Flags: superreview?(dmose)
Comment on attachment 134538 [details] [diff] [review]
patch for refering => referring

As long as none of the flags being changed are frozen, sr=dmose.
Attachment #134538 - Flags: superreview?(dmose) → superreview+
Attachment #134538 - Flags: review?(timeless) → review+
Posted patch patch for garabage => garbage (obsolete) — Splinter Review
Looking for fast r/sr for checkin before the tree closure.  The fixes are all
in comments, in one file.
Attachment #135878 - Flags: review+
Attachment #135878 - Flags: superreview?(alecf)
Comment on attachment 134538 [details] [diff] [review]
patch for refering => referring

checked in by timeless.
Attachment #134538 - Attachment is obsolete: true
Comment on attachment 135878 [details] [diff] [review]
patch for garabage => garbage

sr=alecf
Attachment #135878 - Flags: superreview?(alecf) → superreview+
rs=brendan on any spelling fixes.  Maybe it would be better to get module owners
to make these, so they know about 'em?  Then the spelling fixers could focus on
other, more productive work.

/be
Alias: spelling
Attachment #135878 - Attachment is obsolete: true
http://lxr.mozilla.org/mozilla/search?string=definately

I might make a patch for this one later today.
Comment on attachment 145962 [details] [diff] [review]
patch for "Unkonwn" -> "Unknown"

r+sr=me and checked in for 1.8a.
Attachment #145962 - Attachment is obsolete: true
Attachment #145962 - Flags: superreview+
Attachment #145962 - Flags: review+
*** Bug 221383 has been marked as a duplicate of this bug. ***
Posted patch "corrolated" patch (obsolete) — Splinter Review
Also changes a bit of passive voice to active voice.
http://lxr.mozilla.org/mozilla/search?string=occured

Unless occured is a British spelling, it really should be "occurred".  I noticed
this one in an XML error page for a missing XSL stylesheet.
Adam Lock noted an "editting" spelling in comment 6.  There are still instances 
of that typo in three places under mozilla/editor (and ironically, in 
xpinstall/wizard/libxpnet/GUSI/include/GUSIFileSpec.h#9, mentioning this bug 
specifically).
Here are a *few* I ran across:

http://lxr.mozilla.org/mozilla/search?string=allowded
http://lxr.mozilla.org/mozilla/search?string=seperat
http://lxr.mozilla.org/mozilla/search?string=extentions
http://lxr.mozilla.org/mozilla/search?string=depreciated (not bug #93834)
http://lxr.mozilla.org/mozilla/search?string=theres+
http://lxr.mozilla.org/mozilla/search?string=isntall
http://lxr.mozilla.org/mozilla/search?string=unistall
http://lxr.mozilla.org/mozilla/search?string=mozzilla
http://lxr.mozilla.org/mozilla/search?string=+isnt+
http://lxr.mozilla.org/mozilla/search?string=+aint+ (some false positives.)
http://lxr.mozilla.org/mozilla/search?string=+arent+
http://lxr.mozilla.org/mozilla/search?string=doesnt+
http://lxr.mozilla.org/mozilla/search?string=whats+
http://lxr.mozilla.org/mozilla/search?string=whos+ (whose?)
http://lxr.mozilla.org/mozilla/search?string=firebird
http://lxr.mozilla.org/mozilla/search?string=succesful
http://lxr.mozilla.org/mozilla/search?string=sucessful
http://lxr.mozilla.org/mozilla/search?string=favourite
http://lxr.mozilla.org/mozilla/search?string=defualt
http://lxr.mozilla.org/mozilla/search?string=obsevrer
http://lxr.mozilla.org/mozilla/search?string=chnag
http://lxr.mozilla.org/mozilla/search?string=peoples+
http://lxr.mozilla.org/mozilla/search?string=thats+
http://lxr.mozilla.org/mozilla/search?string=cosnt
http://lxr.mozilla.org/mozilla/search?string=tuctor
http://lxr.mozilla.org/mozilla/search?string=necesary
http://lxr.mozilla.org/mozilla/search?string=neccesary
http://lxr.mozilla.org/mozilla/search?string=+sting
http://lxr.mozilla.org/mozilla/search?string=atuomatic
http://lxr.mozilla.org/mozilla/search?string=supress
http://lxr.mozilla.org/mozilla/search?string=+tru+
http://lxr.mozilla.org/mozilla/search?string=cotent
http://lxr.mozilla.org/mozilla/search?string=frist
http://lxr.mozilla.org/mozilla/search?string=contet
http://lxr.mozilla.org/mozilla/search?string=alot*
http://lxr.mozilla.org/mozilla/search?string=+alot
http://lxr.mozilla.org/mozilla/search?string=wont+
http://lxr.mozilla.org/mozilla/search?string=colaps
http://lxr.mozilla.org/mozilla/search?string=dont+
http://lxr.mozilla.org/mozilla/search?string=+eror+
http://lxr.mozilla.org/mozilla/search?string=erorr
http://lxr.mozilla.org/mozilla/search?string=+erors
http://lxr.mozilla.org/mozilla/search?string=debuging
http://lxr.mozilla.org/mozilla/search?string=largst+
http://lxr.mozilla.org/mozilla/search?string=prefered
http://lxr.mozilla.org/mozilla/search?string=srcipt
http://lxr.mozilla.org/mozilla/search?string=retrun
http://lxr.mozilla.org/mozilla/search?string=mesage
http://lxr.mozilla.org/mozilla/search?string=reguardless
http://lxr.mozilla.org/mozilla/search?string=speling

My favorites, though, given my name...
http://lxr.mozilla.org/mozilla/search?string=uknown
http://lxr.mozilla.org/mozilla/search?string=unkown
http://lxr.mozilla.org/mozilla/search?string=unknow+

-[Unknown]
I guessed that from the tring, but verified it:

http://lxr.mozilla.org/mozilla/search?string=speling
are all actually correct, changes would actually be bugs here.

http://lxr.mozilla.org/mozilla/search?string=favourite
is correct british spelling, so you might get into a flame war here ;-)

Who will make up a patch correcting the real bugs here? Unknown, can you do that?
Alrighty.  Needed a break from PHP anyway.

I left, namely, MWLinker_MachO_supresswarnings and Firebird in many places. (a
lot of bad filenames in help...)

As well, I noticed the following other misspellings:
http://lxr.mozilla.org/mozilla/search?string=protocal
http://lxr.mozilla.org/mozilla/search?string=persistan
http://lxr.mozilla.org/mozilla/search?string=coresp
http://lxr.mozilla.org/mozilla/search?string=corellate
http://lxr.mozilla.org/mozilla/search?string=teh+
http://lxr.mozilla.org/mozilla/search?string=mozila
http://lxr.mozilla.org/mozilla/search?string=wheter
http://lxr.mozilla.org/mozilla/search?string=+wether
http://lxr.mozilla.org/mozilla/search?string=supend
http://lxr.mozilla.org/mozilla/search?string=flaot
http://lxr.mozilla.org/mozilla/search?string=realy
http://lxr.mozilla.org/mozilla/search?string=+cant+
http://lxr.mozilla.org/mozilla/search?string=didnt
http://lxr.mozilla.org/mozilla/search?string=completl
http://lxr.mozilla.org/mozilla/search?string=arround
http://lxr.mozilla.org/mozilla/search?string=recieved

If I ran across one of these in the same sentence as one from the original
list, I fixed it... I think there were all of three sentences I reworded for
grammar.

I did notice that some things were function names that looked possibly
purposefully unchanged.  The patch changes those (there aren't many anyway, and
they can be taken out...) for the reason that, I believe, if Mozilla intends to
get this publicly used as a toolkit (I seem to remember that being a goal?)
having any misspellings in function names will be very detrimental, cause
problems/bugs, and confuse people.  Better to fix them now.

As well, I noticed a few places (again not many) where these changes probably
solved javascript errors in the browser itself.

This patch was, notably, made for the trunk.

-[Unknown]
(sorry, was bigger than 500k...)

-[Unknown]
Apologies for the bug spam, more misspellings:

http://lxr.mozilla.org/mozilla/search?string=depnd
http://lxr.mozilla.org/mozilla/search?string=specifed
http://lxr.mozilla.org/mozilla/search?string=specfied
http://lxr.mozilla.org/mozilla/search?string=mvoe
http://lxr.mozilla.org/mozilla/search?string=prevoius
http://lxr.mozilla.org/mozilla/search?string=ackowledg
http://lxr.mozilla.org/mozilla/search?string=equivelend
http://lxr.mozilla.org/mozilla/search?string=equivelant
http://lxr.mozilla.org/mozilla/search?string=eqaul
http://lxr.mozilla.org/mozilla/search?string=atribu
http://lxr.mozilla.org/mozilla/search?string=its+done
http://lxr.mozilla.org/mozilla/search?string=editabel
http://lxr.mozilla.org/mozilla/search?string=inotherwords
http://lxr.mozilla.org/mozilla/search?string=argment
http://lxr.mozilla.org/mozilla/search?string=agument
http://lxr.mozilla.org/mozilla/search?string=decription
http://lxr.mozilla.org/mozilla/search?string=langauge
http://lxr.mozilla.org/mozilla/search?string=ojbect
http://lxr.mozilla.org/mozilla/search?string=udpate
http://lxr.mozilla.org/mozilla/search?string=genert
http://lxr.mozilla.org/mozilla/search?string=funciton
http://lxr.mozilla.org/mozilla/search?string=coment
http://lxr.mozilla.org/mozilla/search?string=sourc+
http://lxr.mozilla.org/mozilla/search?string=quoet
http://lxr.mozilla.org/mozilla/search?string=qoutes
http://lxr.mozilla.org/mozilla/search?string=immplement
http://lxr.mozilla.org/mozilla/search?string=tmeplate
http://lxr.mozilla.org/mozilla/search?string=biuld
http://lxr.mozilla.org/mozilla/search?string=temparar
http://lxr.mozilla.org/mozilla/search?string=qeust
http://lxr.mozilla.org/mozilla/search?string=wigdet
http://lxr.mozilla.org/mozilla/search?string=reparetn (not sure what that's
supposed to be...?)
http://lxr.mozilla.org/mozilla/search?string=dcumentation
http://lxr.mozilla.org/mozilla/search?string=suport
http://lxr.mozilla.org/mozilla/search?string=class's
http://lxr.mozilla.org/mozilla/search?string=columns's
http://lxr.mozilla.org/mozilla/search?string=consistant
http://lxr.mozilla.org/mozilla/search?string=sesion
http://lxr.mozilla.org/mozilla/search?string=this's
http://lxr.mozilla.org/mozilla/search?string=orignal
http://lxr.mozilla.org/mozilla/search?string=corect
http://lxr.mozilla.org/mozilla/search?string=connct
http://lxr.mozilla.org/mozilla/search?string=exeption
http://lxr.mozilla.org/mozilla/search?string=execption

Further, this has a zillion results:
http://lxr.mozilla.org/mozilla/search?string=favorit
While this has one:
http://lxr.mozilla.org/mozilla/search?string=favourit

It may be correct spelling, but it's not *consistent* spelling.  If that means
making it ALL favourite, that works too - but two spellings used concurrently is
bad.  At least, in my opinion.

-[Unknown]
http://www.m-w.com/cgi-bin/dictionary?book=Dictionary&va=corespondent

m-w does not dislike that. btw thanks for picking this up. some people really 
do appreciate this work.
Assignee: nb → unknown
Status: ASSIGNED → NEW
(In reply to comment #120)
> http://www.m-w.com/cgi-bin/dictionary?book=Dictionary&va=corespondent
> 
> m-w does not dislike that. btw thanks for picking this up. some people really 
> do appreciate this work.

Heh, but did you read that?  It says, basically, an adulterer.

It doesn't like this, though:
http://m-w.com/cgi-bin/dictionary?coresponding

Because the word being used here has two r's, or at least it should.

And, sure... should I create a patch with the next batch of words?  Any opinions
on favourite?

-[Unknown]
/extensions/spellcheck/myspell/dictionaries/en-US.dic, line 12299 -- 
corespondent/MS

that's a dictionary file, don't change it :).
Oops, class's and this's were right.  But columns's should be columns' to my
understanding. (has to do with syllables.)

This patch should fix all the misspellings listed in comment #117 and comment
#119 (minus this's and class's.)  In theory, it doesn't conflict with the other
patch - either, neither, or both could be applied.

More misspellings I found making that patch:
http://lxr.mozilla.org/mozilla/search?string=insenstive
http://lxr.mozilla.org/mozilla/search?string=writting
http://lxr.mozilla.org/mozilla/search?string=diferent
http://lxr.mozilla.org/mozilla/search?string=pased
http://lxr.mozilla.org/mozilla/search?string=+wich+
http://lxr.mozilla.org/mozilla/search?string=adress+
http://lxr.mozilla.org/mozilla/search?string=corrolat (attachment #146019 [details] [diff] [review])
http://lxr.mozilla.org/mozilla/search?string=interpet
http://lxr.mozilla.org/mozilla/search?string=interepret
http://lxr.mozilla.org/mozilla/search?string=interprt
http://lxr.mozilla.org/mozilla/search?string=data+base
http://lxr.mozilla.org/mozilla/search?string=desireable

And, no, don't worry, I'm not dumb enough to change dictionary entries ^_^.  I
was referring to this:
http://lxr.mozilla.org/mozilla/source/other-licenses/libical/src/libical/icalrecur.c#860

(I do realize that may be external, but why does that mean it should have typos
;)?)

I'm sure my patches probably touch things they shouldn't... it's easy to take
those things out though, it's considerably more work to make another patch for
typos I left out because I assumed they would not be patched. (for one thing,
cvs chews dirt for several minutes to make a patch, at least for me.)

I assume from observation that, if I wanted any of these changes actually used,
I should request review/superreview - is that correct?	If so, from whom would
be best?

Thanks,
-[Unknown]
Unknown: see comment 104, which is effective as a blanket super-review for 
spelling fixes that don't break stuff... so a r+ from someone should be 
sufficient.

(And as timeless mentioned, some people love this.  I'm one of them, but I've 
been busy...)
Unknown: I guess you can ask timeless for review, as he always likes such
changes ;-)
Robert Kaiser wrote:
> Unknown: I guess you can ask timeless for review, as he always likes such
> changes ;-)

I like such changes, too... and I am willing to r= such changes if I can verify
them with http://dict.leo.org/ ... :)
Comment on attachment 149866 [details] [diff] [review]
The misspellings I reported. (sans bogus, first chunk)

Let's see if I can't do this right... I suppose there should be a way to
request review on multiple, but I'd rather do one at a time anyway.

-[Unknown]
Attachment #149866 - Flags: review?(roland.mainz)
More bugspam/misspellings:

http://lxr.mozilla.org/mozilla/search?string=useable
http://lxr.mozilla.org/mozilla/search?string=loged
http://lxr.mozilla.org/mozilla/search?string=varables
http://lxr.mozilla.org/mozilla/search?string=javascipt
http://lxr.mozilla.org/mozilla/search?string=navagat
http://lxr.mozilla.org/mozilla/search?string=qeue
http://lxr.mozilla.org/mozilla/search?string=masqeurad
http://lxr.mozilla.org/mozilla/search?string=editting
http://lxr.mozilla.org/mozilla/search?string=widnow
http://lxr.mozilla.org/mozilla/search?string=passowrd
http://lxr.mozilla.org/mozilla/search?string=meseng
http://lxr.mozilla.org/mozilla/search?string=stlye
http://lxr.mozilla.org/mozilla/search?string=ammount
http://lxr.mozilla.org/mozilla/search?string=sofware
http://lxr.mozilla.org/mozilla/search?string=outputing
http://lxr.mozilla.org/mozilla/search?string=layot
http://lxr.mozilla.org/mozilla/search?string=bufer+
http://lxr.mozilla.org/mozilla/search?string=coppied
http://lxr.mozilla.org/mozilla/search?string=porport
http://lxr.mozilla.org/mozilla/search?string=securty
http://lxr.mozilla.org/mozilla/search?string=thier+
http://lxr.mozilla.org/mozilla/search?string=/maping
http://lxr.mozilla.org/mozilla/search?string=pading
http://lxr.mozilla.org/mozilla/search?string=yelow
http://lxr.mozilla.org/mozilla/search?string=backgrond
http://lxr.mozilla.org/mozilla/search?string=suppot
http://lxr.mozilla.org/mozilla/search?string=gramar
http://lxr.mozilla.org/mozilla/search?string=asume

-[Unknown]
useable is correct. Spelling changes are annoying, changing correct spelling is
worse.
(In reply to comment #130)
> useable is correct. Spelling changes are annoying, changing correct spelling is
> worse.

Possibly so, but it's inconsistent.  While technically it is another spelling of
usable, it's a much less used one and there's no reason to keep it in place of
usable.

http://lxr.mozilla.org/mozilla/search?string=usable (zillion results)
http://lxr.mozilla.org/mozilla/search?string=useable (7 results)
http://www.google.com/search?q=usable (2,560,000)
http://www.google.com/search?q=useable (563,000)

The word also reads more awkwardly.  But, of course, it can be left.... I have
no problem with that, myself.

And, for what it's worth, spelling changes may be annoying but reading them is
also annoying for many.  Keeping the spelling mostly correct generally reduces
confusion and makes things look more professional - everyone makes typos but
only the ones who actually care fix them.  It may not be terribly "outward" in
most cases (usually just in comments) but that does not mean they are not seen
and read.

Some more:

http://lxr.mozilla.org/mozilla/search?string=retreive
http://lxr.mozilla.org/mozilla/search?string=smilie (it *is* smiley/smileys -
more occurances of those anyway if you look.)
http://lxr.mozilla.org/mozilla/search?string=eventualy
http://lxr.mozilla.org/mozilla/search?string=finshed
http://lxr.mozilla.org/mozilla/search?string=to+much
http://lxr.mozilla.org/mozilla/search?string=acura
http://lxr.mozilla.org/mozilla/search?string=likly
http://lxr.mozilla.org/mozilla/search?string=sufix

I've also noticed some grammar inconsistency - the same screen/panel will have
checkbox labels with and without proper punctation. (but I'm not sure this in
the scope of this bug.)

-[Unknown]
(In reply to comment #131)
> And, for what it's worth, spelling changes may be annoying but reading them is
> also annoying for many.  Keeping the spelling mostly correct generally reduces
> confusion and makes things look more professional - everyone makes typos but
> only the ones who actually care fix them.

I regularly fix spelling errors *while* doing real code changes and correct them
while reviewing. Note that I don't object to spelling changes, but they are
annoying. And I don't think it's for you to decide how a word should be spelled,
as long as the original author spelled it correctly.
(In reply to comment #132)
> I regularly fix spelling errors *while* doing real code changes and correct them
> while reviewing. Note that I don't object to spelling changes, but they are
> annoying. And I don't think it's for you to decide how a word should be spelled,
> as long as the original author spelled it correctly.

Of course it isn't for me to decide - but, by no means should I just say "okay"
when I disagree.  That may be what a lot of people are trained to do, but it's
the wrong thing to do.  Whether or not you agree, at least now you understand
why I listed it and points have been made - which you may or may not agree with.

If it is preferred that words be left as is if they are not technically wrong,
even if inconsistent (I suppose like smilie) that is, as always, fully possible.
 I have just always felt a great need for consistency in programming, because
that is what makes everything flow together.

And, say as you will that this is unimportant - but I found at least a few
javascript errors and fixed them making the patches I have.  Because of typos. 
Proper and periodic review is the easiest and best way to find these - as
always, imho.  You can't catch it *all* any other way.

Inspired by my own typo, there's also:
http://lxr.mozilla.org/mozilla/search?string=punctation

-[Unknown]
Comment on attachment 149866 [details] [diff] [review]
The misspellings I reported. (sans bogus, first chunk)

If I attach short patches for each word, will I have a chance, or should I just
not bother?

-[Unknown]
Attachment #149866 - Flags: review?(roland.mainz)
http://lxr.mozilla.org/mozilla/search?string=reparetn (not sure what that's
supposed to be...?)

reparent
Comment on attachment 149866 [details] [diff] [review]
The misspellings I reported. (sans bogus, first chunk)

declear

i'm not reviewing changes to build files or firefox, ask bsmedberg/mconnor.
i'm reviewing changes to calendar. i'm reading but not sure i count as a
reviewer for changes to camino, you might want to ask josh aas
<joshmoz@gmail.com>
i think cck is mostly orphanned and hope there's a rubber stamp we can use for
commits to it.
get dmose to sign off on directory
get rginda/silver@warwick to sign off on chatzilla/venkman
get pike to sign off on transformiix
please split the boehm, zlib, and libical changes into their own patches

>Index: mozilla/build/unix/print-depth-path.sh
>+# It don't use Artificial Intelligence.  It don't use Virtual Reality.
perhaps: doesn't/g

>+# It's not perl.  It's not python.   But it works.
perhaps: Isn't/g

>+	// this could call the account wizard, I guess that's a later feature
perhaps: feature for later

>Index: mozilla/cck/CCKDocs/cd_cck.htm
>-Using a graphics editing program, open the <code>isntall.bmp</code> file and make your changes to it. For example, you might want to add your company's logo and name.
that's depressing.
>
>+Using a graphics editing program, open the <code>install.bmp</code> file and make your changes to it. For example, you might want to add your company's logo and name.
and on the wrong line?

>@@ -413,7 +413,7 @@
> <em>installation_directory</em>\CCKTool\Configs\<em>my_config</em>\Workspace\Autor
it'd be better if Autorun was together, split the previous line before the last
'>'.
>-un\Shell\bmps\isntall.bmp
>
>+un\Shell\bmps\install.bmp

>Index: mozilla/cck/build/CCKBuild.bat
>+REM    IF _MSC_VER doesn't equal 1200 then VC+ is not version 6.0,
VC++
> REM    6.0 is the standard so the build will not happen if _MSC_VER is
> REM    any value other than 1200!

someone needs to file a bug about this...

>Index: mozilla/cck/ib/ib.cpp
> 		/*Post Beta -This is a hack to prevent the last page from staying up there endlessly;
> 		  We check to see if the filename is null and if it is so we return true 
perhaps change 'is so' to 'is' :)
>-		  so that the return value isnt made FALSE */
>+		  so that the return value isn't made FALSE */
man, this text sucks

>@@ -2268,7 +2268,7 @@
> /*Post Beta - we will use the DISABLED key.
> Now this is implemented the round about way here.
> We have to take only the components that are chosen and mark the rest as disabled
>-Disabled doesnt work now - so what we are doing is re writing every key in the sections
>+Disabled doesn't work now - so what we are doing is re writing every key in the sections
perhaps re-writing ?

>@@ -3135,7 +3135,7 @@
> 		return TRUE;
> 	}
> //PostBeta - We have to inform the user that he has not set any value
>-//and that it will default.Returning TRUE so that it doesnt stay in the last
>+//and that it will default.Returning TRUE so that it doesn't stay in the last
perhaps space after '.' ?

>Index: mozilla/composer/base/content/editor.js
>@@ -384,7 +384,7 @@
>-            editorStatus = nsIEditingSession.eEditorErrorUnkown;
>+            editorStatus = nsIEditingSession.eEditorErrorUnknown;

hrm, does the iid rev for nsIEditingSession need to be bumped if you rename a
constant? :)


>Index: mozilla/extensions/help/resources/locale/en-US/mail_sec_help.xhtml
>-  <a href="#message_security_recieved_mesage">Message Security - Received
>+  <a href="#message_security_recieved_message">Message Security - Received

http://lxr.mozilla.org/seamonkey/search?string=message_security_recieved_mes
you need to have changed all 4 spots, it doesn't look like you did.

>@@ -2531,7 +2531,7 @@
> 	NS_PRECONDITION(!PyErr_Occurred(), "Expecting no Python exception to be pending when processing the return result");
> 
> 	nsresult rc = NS_OK;
>-	// If we dont get a tuple back, then the result is only
>+	// If we don't get a tuple back, then the result is only
	// an int nresult for the underlying function.

probably nsresult

compare
http://lxr.mozilla.org/seamonkey/source/extensions/python/xpcom/src/PyGBase.cpp
#458 with
http://lxorg/seamonkey/source/extensions/python/xpcom/src/PyGBase.cpp#481

>Index: mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/Emperor.java
>@@ -233,7 +233,7 @@
>-        _sourceViewManager.setPreferedNewViewRect( rectSrc );
>+        _sourceViewManager.setPreferredNewViewRect( rectSrc );

>@@ -410,7 +410,7 @@
>-            _sourceViewManager.setPreferedNewViewRect(getPreferedNewSourceViewRect());
>+            _sourceViewManager.setPreferredNewViewRect(getPreferedNewSourceViewRect());
you missed a spot

>@@ -541,7 +541,7 @@
>-    private Rect getPreferedNewSourceViewRect()
>+    private Rect getPreferredNewSourceViewRect()

>Index: mozilla/layout/html/base/src/nsFrame.cpp
>===================================================================
>RCS file: /cvsroot/mozilla/layout/html/base/src/nsFrame.cpp,v
>retrieving revision 3.486
>diff -u -3 -r3.486 nsFrame.cpp
>--- mozilla/layout/html/base/src/nsFrame.cpp	2 Jun 2004 02:25:18 -0000	3.486
>+++ mozilla/layout/html/base/src/nsFrame.cpp	2 Jun 2004 20:42:22 -0000
>@@ -1963,7 +1963,7 @@
>           }
>         }
>       }
>-#endif //XXX we USED to skip anonymous content i dont think we should anymore leaving this here as a flah
>+#endif //XXX we USED to skip anonymous content, but I don't think we should anymore leaving this here as a flah
flag

>Index: mozilla/mailnews/compose/src/nsMsgCompose.cpp
>===================================================================
>RCS file: /cvsroot/mozilla/mailnews/compose/src/nsMsgCompose.cpp,v
>retrieving revision 1.431
>diff -u -3 -r1.431 nsMsgCompose.cpp
>--- mozilla/mailnews/compose/src/nsMsgCompose.cpp	22 May 2004 22:15:11 -0000	1.431
>+++ mozilla/mailnews/compose/src/nsMsgCompose.cpp	2 Jun 2004 20:43:48 -0000
>@@ -1256,7 +1256,7 @@
>          * If we don't call GC, the nsIMsgCompose object hold by JS will not be released despite we set
>          * the JS global that hold it to null. Each time we reopen a recycled window, we allocate a new
>          * nsIMsgCompose that we really need to be releazed when we recycle the window. In fact despite
>-         * we call GC here atfer the release wont occurs right away. But if we don't call it, the release
>+         * we call GC here, the release won't occur right away. But if we don't call it, the release
>          * will apppend only when we phisically close the window which will append only on quit.
physically

>          */
>         nsCOMPtr<nsIScriptGlobalObject> sgo(do_QueryInterface(m_window));
>@@ -1277,7 +1277,7 @@
>     if (m_editor)
>     {
>         /* The editor will be destroyed during yje close window.
the

>-         * Set it to null to be sure we wont uses it anymore
>+         * Set it to null to be sure we won't use it anymore
>          */
>       m_editor = nsnull;
>     }

>Index: mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp
>@@ -4826,9 +4826,9 @@
>-      // If plugin changed, delete cachedPluginTag and dont use cache
>+      // If plugin changed, delete cachedPluginTag and don't use cache
>       if (LL_NE(fileModTime, pluginTag->mLastModifiedTime)) {
>-        // Plugins has changed. Dont use cached plugin info.
>+        // Plugins has changed. Don't use cached plugin info.
should this be Plugin ?

>Index: mozilla/mstone/Makefile
>@@ -142,7 +142,7 @@
>+# perl is handled separately do to its size
due
> If I attach short patches for each word, will I have a chance, or should I
just not bother?

try to keep patches under 2000 lines. :) that last patch cost me hours. and i
don't look forward to reviewing the next chunks.
It took me even longer to make, and I still made mistakes :(.  Sorry for
wasting your time :/.

>>+Using a graphics editing program, open the <code>install.bmp</code> file and
make your changes to it. For example, you might want to add your company's logo
and name.
>and on the wrong line?
I'm not sure I understand; it seems to me this is a watermark image?  Wrong
line?

>http://lxr.mozilla.org/seamonkey/search?string=message_security_recieved_mes
>you need to have changed all 4 spots, it doesn't look like you did.
Like the idiot I am, I completely missed the "received" typo - this has since
been fixed.

I addressed all your comments (or so I think), up to a point and then stopped. 
I tried to skip the sections you suggested were better reviewed by someone
else.

10 lines short of 2000.

-[Unknown]
oh, i should have been a lot clearer about that one:

that patch has:
A-Using ...
2 
B+Using ...

what bothered me was that B was after 2 instead of between A and 2:
A-Using ...
B+Using ...
2 

if that doesn't make sense, don't worry about it.

i'm gone for the weekend and have other work i need to do so i won't look in for
a while.
(In reply to comment #140)
> that patch has:
> A-Using ...
> 2 
> B+Using ...

I noticed that too but didn't realize it was what you meant.

The whole file is double spaced, and so I think it may have more to do with the
line endings and how my cvs diff (cvsnt, cygwin diff I believe) is handling it. 

More specifically, I think the problem is it has \r\r\n line endings, meaning
it's been double windows-atized (forgive me for making up a word :P.)

-[Unknown]
Comments-only patch; there are two files this patch doesn't touch, because
those files have live code with the typo.
Comments-only patch; there are two files this patch doesn't touch, because
those files have live code with the typo.
Attachment #165081 - Flags: superreview?(peterv)
Attachment #165081 - Flags: review+
Comment on attachment 165082 [details] [diff] [review]
fix pseudo typos in comments only

accidentally posted the same patch twice
Attachment #165082 - Attachment is obsolete: true
Live code changes, need r and sr.
Comment on attachment 165086 [details] [diff] [review]
fix pseudo typos in nsMessengerMigrator

I think I got them all.
Attachment #165086 - Flags: review?(mscott)
Here's another one. The double C is not "necessary". 
http://lxr.mozilla.org/mozilla/search?string=neccessary
Comment on attachment 165234 [details] [diff] [review]
fix for spelling typos of neccessary -> necessary (comments only)

This patch affects 29 files; fortunately, all the changed lines are either
comments or in .txt or .html files.
Attachment #165234 - Flags: review?
Attachment #165234 - Flags: review? → review?(neil.parkwaycc.co.uk)
Comment on attachment 165234 [details] [diff] [review]
fix for spelling typos of neccessary -> necessary (comments only)

r=dbradley

These are all comment and readme file changes. I don't think it really needs a
review, IIRC.

And good catch on the necessarily as well.
Attachment #165234 - Flags: review?(neil.parkwaycc.co.uk) → review+
Comment on attachment 165234 [details] [diff] [review]
fix for spelling typos of neccessary -> necessary (comments only)

Though this was checked in by timeless, there were apparently a couple parts of
security code where the patch didn't apply.
Attachment #165234 - Attachment is obsolete: true
Comment on attachment 165234 [details] [diff] [review]
fix for spelling typos of neccessary -> necessary (comments only)

the parts that didn't apply were gone. the bigger problem is that the partition
was locked, so i didn't bother committing any of the security bits. i'll post a
patch later and we can ask someone else to commit them.
Product: Browser → Seamonkey
Attachment #165081 - Flags: superreview?(peterv) → superreview+
Comment on attachment 165081 [details] [diff] [review]
fix pseudo typos in comments only

the layout files were moved; this patch needs updating
Comment on attachment 165081 [details] [diff] [review]
fix pseudo typos in comments only

Checked in, 2004-12-19 13:45 -0800.
Attachment #165081 - Attachment is obsolete: true
My $.02 -- LXR brings up eight hits on "instanciate(d)," which should be spelled
"instantiate(d)."
http://lxr.mozilla.org/seamonkey/search?string=delimeter
nsSchemaValidator.cpp has quite a few of these... not part of the normal build.
Attachment #173425 - Flags: review?(timeless) → review?(timeless)
Attachment #173425 - Flags: review?(timeless) → review+
I took the list of common misspellings at this URL:
http://en.wikipedia.org/wiki/List_of_common_misspellings_in_English
and added other words mentioned in this bug plus a few favorites of my own
("its" vs "it's") and cooked up a script that I ran over mozilla/layout/
and this is what came out.  Is it useful?
Attachment #173573 - Flags: review?(dbaron)
Sorry, wrong URL... I check a lot more words than that! Here's the correct one:
http://en.wikipedia.org/wiki/Wikipedia:List_of_common_misspellings
Comment on attachment 173573 [details] [diff] [review]
scripted fixups - layout, rev. 1

>Index: layout/base/nsCSSFrameConstructor.cpp
>- * @param   aFrame the the associated with aContent. This will be the
>+ * @param   aFrame the associated with aContent. This will be the

s/the the/the frame/ instead

>Index: layout/base/nsPresShell.cpp
>-  // If we are not reflowing and ther are no load-crated reflow commands, then
>+  // If we are not reflowing and there are no load-crated reflow commands, then

s/crated/created/ too

>Index: layout/doc/dd-template.html
>-of input is is expected to operate on, etc. Annotated pseudo-code is a good 
>+of input is expected to operate on, etc. Annotated pseudo-code is a good 

s/is is/it is/ instead

>Index: layout/doc/debugtable.html
>-Another possibilty to debug the reflow process is implemented inside <a href="http://lxr.mozilla.org/seamonkey/source/layout/html/base/src/nsBlockFrame.cpp">nsBlockFrame.cpp</a>. It can be invoked by<p>
>+Another possibility to debug the reflow process is implemented inside <a href="http://lxr.mozilla.org/seamonkey/source/layout/html/base/src/nsBlockFrame.cpp">nsBlockFrame.cpp</a>. It can be invoked by<p>

s/possibilty/way/ instead

>Index: layout/generic/nsImageFrame.cpp
>-    if (mState & IMAGE_GOTINITIALREFLOW) { // do nothing if we havn't gotten the inital reflow yet
>+    if (mState & IMAGE_GOTINITIALREFLOW) { // do nothing if we havn't gotten the initial reflow yet

s/havn't/haven't/ too

>Index: layout/printing/nsPrintEngine.cpp
>-  // The first tru we do not want to do this, the second time thru we do
>+  // The first time we do not want to do this, the second time through we do

This was probably "try" originally, but time is fine.

>-  // If it is hidden don't bother reflow it or any of it's children
>+  // If it is hidden don't bother reflow it or any of its children

s/reflow/reflowing/

FWIW, descendent is an acceptable variant, but changing to descendant is OK to.
Attachment #173573 - Flags: superreview+
Attachment #173573 - Flags: review?(dbaron)
Attachment #173573 - Flags: review+
http://lxr.mozilla.org/seamonkey/search?string=notifcations

This affects us in a few important places, including nsAppRunner...
This patch does not fix the "notifcations" issue, as that affects live code.
Attachment #184610 - Flags: review?
Comment on attachment 184610 [details] [diff] [review]
application, implement, ownership, conversion, instantiate

For what little it is worth, r=me [I am not an official reviewer of any sort]

>RCS file: /cvsroot/mozilla/config/gtscc.c,v

Contained the only non-comment change, and it is just text in a printf.

Changes do seem 100% correct, if a driver wants to count my r= as "good enough"
feel free. Otherwise someone else is still prudent.
Attachment #184610 - Flags: review? → review+
Attachment #184610 - Flags: approval1.8b3?
Comment on attachment 184610 [details] [diff] [review]
application, implement, ownership, conversion, instantiate

a=chofmann
Attachment #184610 - Flags: approval1.8b3? → approval1.8b3+
Attachment #184610 - Attachment is obsolete: true
"Collector" is misspelled many times in the source code. Could cause problems
down the line.

http://lxr.mozilla.org/mozilla/search?string=collecter
"Seperator" (should be "separator") is back again, in comments and in code:

http://lxr.mozilla.org/seamonkey/search?string=seperat
http://lxr.mozilla.org/seamonkey/search?string=accessable

Aside from one README.txt file, every instance of this appears to be in a comment.
Can I assign these bugs to me now that it seems like original assignee is absent
since May?
Attachment #197926 - Flags: review?(timeless)
Comment on attachment 197926 [details] [diff] [review]
Fixes hanlder, intertor, retrive

>-#define NS_ICONTENTITERTOR_IID \
>+#define NS_ICONTENTITEARTOR_IID \

Let's not replace one spelling error with another.  :)
Fixes hanlder, intertor, retrive
Attachment #197926 - Attachment is obsolete: true
Attachment #197934 - Flags: review?(timeless)
Attachment #197926 - Flags: review?(timeless)
Posted patch Fixes accessable (obsolete) — Splinter Review
will fix the remaining typos saturday/sunday
Attachment #197936 - Flags: review?(timeless)
Fixes supress, collector, smily, accidently, notifcations, aplication,
appliction, procede, enbabling, sufix, likly, innacurate, acurately, finshed,
punctation, eventualy, to much
Attachment #198009 - Attachment is obsolete: true
Assignee: unknown → supernova_00
Status: ASSIGNED → NEW
Attachment #198009 - Flags: review?(timeless)
(In reply to comment #194)
> Created an attachment (id=198023) [edit]
> Fixes protocal, editting, editted, targetted, targetting, noticable and
> managable
> 
-   args.calendarEvent = calendarEvent;    // newly creatd calendar event to be
editted
+   args.calendarEvent = calendarEvent;    // newly creatd calendar event to be
edited

"creatd"?
Hey, some can't even spell calendar correctly. Even ones working on calendar
code: http://lxr.mozilla.org/seamonkey/search?string=calender
http://lxr.mozilla.org/seamonkey/search?string=calandar
Attachment #165086 - Flags: review?(mscott) → review+
Attachment #197934 - Flags: review?(timeless) → review+
Comment on attachment 197936 [details] [diff] [review]
Fixes accessable

please don't include nspr changes in patches. they never will make it in. i've already posted patches for them and wtc still hasn't dealt w/ them.
Attachment #197936 - Flags: review?(timeless) → review+
Comment on attachment 198015 [details] [diff] [review]
same as last patch, but fixes where I accidently changed a file/folder name

Changes should be case preserving.
This is especially important for Classes, Interfaces, CONTRACTS, and FileNames!
Don't combine:
ef
nspr
nss
webtools
gecko

>Index: mozilla/ef/Runtime/System/JavaObject.cpp
>diff -u -8 -p -r1.5 JavaObject.cpp
>@@ -1433,17 +1433,17 @@ static const char *forbiddenClasses[] = 
>- * reference long's and float's. Eventualy, once codegen catches up, this
>+ * reference long's and float's. eventually, once codegen catches up, this

>Index: mozilla/extensions/python/xpcom/tools/tracer_demo.py
>diff -u -8 -p -r1.4 tracer_demo.py
>@@ -94,17 +94,17 @@ def test():
>-    print "Finshed"
>+    print "finished"

>Index: mozilla/js/src/xpconnect/src/xpcwrappednativescope.cpp
>diff -u -8 -p -r1.23 xpcwrappednativescope.cpp
>@@ -261,17 +261,17 @@ XPCWrappedNativeScope::FinishedMarkPhase
>-    // it is possible for us to get called here twice before the FinshedGC
>+    // it is possible for us to get called here twice before the finishedGC

This is clearly a function, make sure you match the case of the function!

>Index: mozilla/mail/base/content/msgHdrViewOverlay.js
>diff -u -8 -p -r1.58 msgHdrViewOverlay.js
>@@ -46,17 +46,17 @@
> const abAddressCollectorContractID	 = "@mozilla.org/addressbook/services/addressCollecter;1";
You didn't change this !?

>@@ -419,26 +419,26 @@ var messageHeaderSink = {
>-                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddressCollecter);
>+                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddresscollector);
>-                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddressCollecter);
>+                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddresscollector);
>@@ -927,17 +927,17 @@ function setFromBuddyIcon(email)
>-       abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddressCollecter);
>+       abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddresscollector);

>Index: mozilla/mail/components/compose/content/MsgComposeCommands.js
>diff -u -8 -p -r1.80 MsgComposeCommands.js
>@@ -1799,17 +1799,17 @@ function GenericSendMessage( msgType )
>-        // in the address collector code (see nsAbAddressCollecter::CollectAddress())
>+        // in the address collector code (see nsAbAddresscollector::CollectAddress())

>Index: mozilla/mailnews/addrbook/build/nsAbFactory.cpp
>diff -u -8 -p -r1.39 nsAbFactory.cpp
>@@ -54,17 +54,17 @@
>-#include "nsAbAddressCollecter.h"
>+#include "nsAbAddresscollecter.h"
>@@ -95,17 +95,17 @@ NS_GENERIC_FACTORY_CONSTRUCTOR(nsAbDirPr
>-NS_GENERIC_FACTORY_CONSTRUCTOR_INIT(nsAbAddressCollecter,Init)
>+NS_GENERIC_FACTORY_CONSTRUCTOR_INIT(nsAbAddresscollector,Init)
>@@ -189,19 +189,19 @@ static const nsModuleComponentInfo compo
>-    NS_ABADDRESSCOLLECTER_CID,
>-    NS_ABADDRESSCOLLECTER_CONTRACTID,
>-    nsAbAddressCollecterConstructor },
>+    NS_ABADDRESScollector_CID,
>+    NS_ABADDRESScollector_CONTRACTID,
>+    nsAbAddresscollectorConstructor },

>Index: mozilla/mailnews/addrbook/build/win32.order
>diff -u -8 -p -r1.4 win32.order
>@@ -101,24 +101,24 @@
>-?Release@nsAbAddressCollecter@@UAGKXZ ; 8
>+?Release@nsAbAddresscollector@@UAGKXZ ; 8
>-?QueryInterface@nsAbAddressCollecter@@UAGIABUnsID@@PAPAX@Z ; 7
>+?QueryInterface@nsAbAddresscollector@@UAGIABUnsID@@PAPAX@Z ; 7
>@@ -138,17 +138,17 @@
>-?IsDomainExcluded@nsAbAddressCollecter@@QAEIPBDPAVnsIPref@@PAH@Z ; 2
>+?IsDomainExcluded@nsAbAddresscollector@@QAEIPBDPAVnsIPref@@PAH@Z ; 2
>@@ -194,24 +194,24 @@
>-?SplitFullName@nsAbAddressCollecter@@QAEIPBDPAPAD1@Z ; 2
>-?SetNamesForCard@nsAbAddressCollecter@@QAEIPAVnsIAbCard@@PBD@Z ; 2
>+?SplitFullName@nsAbAddresscollector@@QAEIPBDPAPAD1@Z ; 2
>+?SetNamesForCard@nsAbAddresscollector@@QAEIPAVnsIAbCard@@PBD@Z ; 2
>-?CollectAddress@nsAbAddressCollecter@@UAGIPBD@Z ; 2
>+?CollectAddress@nsAbAddresscollector@@UAGIPBD@Z ; 2
>@@ -232,18 +232,18 @@ _NSGetModule ; 1
>-?OpenHistoryAB@nsAbAddressCollecter@@QAEIPAPAVnsIAddrDatabase@@@Z ; 1
>-?setupPrefs@nsAbAddressCollecter@@AAEXXZ ; 1
>-??0nsAbAddressCollecter@@QAE@XZ ; 1
>-??1nsAbAddressCollecter@@UAE@XZ ; 1
>+?OpenHistoryAB@nsAbAddresscollector@@QAEIPAPAVnsIAddrDatabase@@@Z ; 1
>+?setupPrefs@nsAbAddresscollector@@AAEXXZ ; 1
>+??0nsAbAddresscollector@@QAE@XZ ; 1
>+??1nsAbAddresscollector@@UAE@XZ ; 1
>-??_EnsAbAddressCollecter@@UAEPAXI@Z ; 1
>+??_EnsAbAddresscollector@@UAEPAXI@Z ; 1

>Index: mozilla/mailnews/addrbook/public/Makefile.in
>diff -u -8 -p -r1.31 Makefile.in
>@@ -53,17 +53,17 @@ XPIDLSRCS	= \
>-		nsIAbAddressCollecter.idl \
>+		nsIAbAddresscollecter.idl \

>Index: mozilla/mailnews/addrbook/public/nsIAbAddressCollecter.idl
>diff -u -8 -p -r1.8 nsIAbAddressCollecter.idl
>@@ -36,17 +36,17 @@
>-interface nsIAbAddressCollecter : nsISupports {
>+interface nsIAbAddresscollector : nsISupports {

>Index: mozilla/mailnews/addrbook/src/Makefile.in
>diff -u -8 -p -r1.61 Makefile.in
>@@ -81,17 +81,17 @@ CPPSRCS		= \
>-		nsAbAddressCollecter.cpp \
>+		nsAbAddresscollecter.cpp \
>Index: mozilla/mailnews/addrbook/src/nsAbAddressCollecter.cpp
>diff -u -8 -p -r1.55 nsAbAddressCollecter.cpp
>@@ -38,71 +38,71 @@
>-#include "nsAbAddressCollecter.h"
>+#include "nsAbAddresscollecter.h"
>-NS_IMPL_ISUPPORTS2(nsAbAddressCollecter, nsIAbAddressCollecter, nsIObserver)
>+NS_IMPL_ISUPPORTS2(nsAbAddresscollector, nsIAbAddresscollector, nsIObserver)
>-nsAbAddressCollecter::nsAbAddressCollecter()
>+nsAbAddresscollector::nsAbAddresscollector()
>-nsAbAddressCollecter::~nsAbAddressCollecter()
>+nsAbAddresscollector::~nsAbAddresscollector()
>-NS_IMETHODIMP nsAbAddressCollecter::CollectUnicodeAddress(const PRUnichar *aAddress, PRBool aCreateCard, PRUint32 aSendFormat)
>+NS_IMETHODIMP nsAbAddresscollector::CollectUnicodeAddress(const PRUnichar *aAddress, PRBool aCreateCard, PRUint32 aSendFormat)
>-NS_IMETHODIMP nsAbAddressCollecter::GetCardFromAttribute(const char *aName, const char *aValue, nsIAbCard **aCard)
>+NS_IMETHODIMP nsAbAddresscollector::GetCardFromAttribute(const char *aName, const char *aValue, nsIAbCard **aCard)
>-NS_IMETHODIMP nsAbAddressCollecter::CollectAddress(const char *aAddress, PRBool aCreateCard, PRUint32 aSendFormat)
>+NS_IMETHODIMP nsAbAddresscollector::CollectAddress(const char *aAddress, PRBool aCreateCard, PRUint32 aSendFormat)
>@@ -190,17 +190,17 @@ NS_IMETHODIMP nsAbAddressCollecter::Coll
>-nsresult nsAbAddressCollecter::AutoCollectScreenName(nsIAbCard *aCard, const char *aEmail, PRBool *aModifiedCard)
>+nsresult nsAbAddresscollector::AutoCollectScreenName(nsIAbCard *aCard, const char *aEmail, PRBool *aModifiedCard)
>@@ -237,17 +237,17 @@ nsresult nsAbAddressCollecter::AutoColle
>-nsAbAddressCollecter::SetNamesForCard(nsIAbCard *senderCard, const char *fullName, PRBool *aModifiedCard)
>+nsAbAddresscollector::SetNamesForCard(nsIAbCard *senderCard, const char *fullName, PRBool *aModifiedCard)
>@@ -267,17 +267,17 @@ nsAbAddressCollecter::SetNamesForCard(ns
>-nsresult nsAbAddressCollecter::SplitFullName(const char *fullName, char **firstName, char **lastName)
>+nsresult nsAbAddresscollector::SplitFullName(const char *fullName, char **firstName, char **lastName)
>@@ -300,54 +300,54 @@ nsresult nsAbAddressCollecter::SplitFull
>-NS_IMETHODIMP nsAbAddressCollecter::Observe(nsISupports *aSubject, const char *aTopic, const PRUnichar *aData)
>+NS_IMETHODIMP nsAbAddresscollector::Observe(nsISupports *aSubject, const char *aTopic, const PRUnichar *aData)
>-nsresult nsAbAddressCollecter::Init(void)
>+nsresult nsAbAddresscollector::Init(void)
>-nsresult nsAbAddressCollecter::AddCardToAddressBook(nsIAbCard *card)
>+nsresult nsAbAddresscollector::AddCardToAddressBook(nsIAbCard *card)
>-nsresult nsAbAddressCollecter::SetAbURI(const char *aURI)
>+nsresult nsAbAddresscollector::SetAbURI(const char *aURI)

>Index: mozilla/mailnews/addrbook/src/nsAbAddressCollecter.h
>diff -u -8 -p -r1.17 nsAbAddressCollecter.h
>@@ -31,44 +31,44 @@
>-#ifndef _nsAbAddressCollecter_H_
>-#define _nsAbAddressCollecter_H_
>+#ifndef _nsAbAddresscollector_H_
>+#define _nsAbAddresscollector_H_
>-#include "nsIAbAddressCollecter.h"
>+#include "nsIAbAddresscollector.h"
>-class nsAbAddressCollecter : public nsIAbAddressCollecter,
>+class nsAbAddresscollector : public nsIAbAddresscollector,
>-  nsAbAddressCollecter();
>-  virtual ~nsAbAddressCollecter();
>+  nsAbAddresscollector();
>+  virtual ~nsAbAddresscollector();
>-  NS_DECL_NSIABADDRESSCOLLECTER
>+  NS_DECL_NSIABADDRESScollector
>-#endif  // _nsAbAddressCollecter_H_
>+#endif  // _nsAbAddresscollector_H_

>Index: mozilla/mailnews/addrbook/src/nsAbBaseCID.h
>diff -u -8 -p -r1.8 nsAbBaseCID.h
>@@ -174,21 +174,21 @@
>-// nsAbAddressCollecter
>+// nsAbAddresscollector
>-#define NS_ABADDRESSCOLLECTER_CONTRACTID \
>-  "@mozilla.org/addressbook/services/addressCollecter;1"
>-#define NS_ABADDRESSCOLLECTER_CID \
>+#define NS_ABADDRESScollector_CONTRACTID \
>+  "@mozilla.org/addressbook/services/addresscollecter;1"
>+#define NS_ABADDRESScollector_CID \

>Index: mozilla/mailnews/base/resources/content/msgHdrViewOverlay.js
>diff -u -8 -p -r1.144 msgHdrViewOverlay.js
>@@ -45,17 +45,17 @@
>-var abAddressCollectorContractID	 = "@mozilla.org/addressbook/services/addressCollecter;1";
>+var abAddressCollectorContractID	 = "@mozilla.org/addressbook/services/addresscollecter;1";
>@@ -362,26 +362,26 @@ var messageHeaderSink = {
>-                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddressCollecter);
>+                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddresscollector);
>-                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddressCollecter);
>+                abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddresscollector);
>@@ -799,17 +799,17 @@ function setFromBuddyIcon(email)
>-       abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddressCollecter);
>+       abAddressCollector = Components.classes[abAddressCollectorContractID].getService(Components.interfaces.nsIAbAddresscollector);

>Index: mozilla/mailnews/build/nsMailModule.cpp
>diff -u -8 -p -r1.24 nsMailModule.cpp
>@@ -126,17 +126,17 @@
>-#include "nsAbAddressCollecter.h"
>+#include "nsAbAddresscollecter.h"
>@@ -350,17 +350,17 @@ NS_GENERIC_FACTORY_CONSTRUCTOR(nsAbDirPr
>-NS_GENERIC_FACTORY_CONSTRUCTOR_INIT(nsAbAddressCollecter,Init)
>+NS_GENERIC_FACTORY_CONSTRUCTOR_INIT(nsAbAddresscollector,Init)
>@@ -868,18 +868,18 @@ static const nsModuleComponentInfo gComp
>-    { "Address Book Address Collector", NS_ABADDRESSCOLLECTER_CID,
>-      NS_ABADDRESSCOLLECTER_CONTRACTID, nsAbAddressCollecterConstructor },
>+    { "Address Book Address Collector", NS_ABADDRESScollector_CID,
>+      NS_ABADDRESScollector_CONTRACTID, nsAbAddresscollectorConstructor },

>Index: mozilla/mailnews/compose/resources/content/MsgComposeCommands.js
>diff -u -8 -p -r1.372 MsgComposeCommands.js
>@@ -1774,17 +1774,17 @@ function GenericSendMessage( msgType )
>-        // in the address collector code (see nsAbAddressCollecter::CollectAddress())
>+        // in the address collector code (see nsAbAddresscollector::CollectAddress())

>Index: mozilla/mailnews/compose/src/nsMsgSend.cpp
>diff -u -8 -p -r1.375 nsMsgSend.cpp
>@@ -73,17 +73,17 @@
>-#include "nsIAbAddressCollecter.h"
>+#include "nsIAbAddresscollecter.h"

this is not even a change, it's just a corruption.

>@@ -3481,20 +3481,20 @@ nsMsgComposeAndSend::DeliverFileAsMail()
>-  nsCOMPtr<nsIAbAddressCollecter> addressCollecter = 
>-           do_GetService(NS_ABADDRESSCOLLECTER_CONTRACTID);
>+  nsCOMPtr<nsIAbAddresscollector> addresscollector = 
>+           do_GetService(NS_ABADDRESScollector_CONTRACTID);
>-  PRBool collectAddresses = (collectOutgoingAddresses && addressCollecter);
>+  PRBool collectAddresses = (collectOutgoingAddresses && addresscollector);
>@@ -3519,30 +3519,30 @@ nsMsgComposeAndSend::DeliverFileAsMail()
>-    if (addressCollecter)
>-      addressCollecter->CollectAddress(mCompFields->GetTo(), collectAddresses /* create card if one doesn't exist */, sendFormat);
>+    if (addresscollector)
>+      addresscollector->CollectAddress(mCompFields->GetTo(), collectAddresses /* create card if one doesn't exist */, sendFormat);
>-    if (addressCollecter)
>-      addressCollecter->CollectAddress(mCompFields->GetCc(), collectAddresses /* create card if one doesn't exist */, sendFormat);
>+    if (addresscollector)
>+      addresscollector->CollectAddress(mCompFields->GetCc(), collectAddresses /* create card if one doesn't exist */, sendFormat);
>-    if (addressCollecter)
>-      addressCollecter->CollectAddress(mCompFields->GetBcc(), collectAddresses /* create card if one doesn't exist */, sendFormat);
>+    if (addresscollector)
>+      addresscollector->CollectAddress(mCompFields->GetBcc(), collectAddresses /* create card if one doesn't exist */, sendFormat);

>Index: mozilla/netwerk/base/src/nsURLHelper.cpp
>diff -u -8 -p -r1.61 nsURLHelper.cpp
>@@ -326,17 +326,17 @@ net_CoalesceDirs(netCoalesceFlags flags,
>-                // there are to much /.. in this path, just copy them instead.
>+                // there are too much /.. in this path, just copy them instead.
too many

>Index: mozilla/netwerk/streamconv/converters/mozTXTToHTMLConv.cpp
>diff -u -8 -p -r1.77 mozTXTToHTMLConv.cpp
>@@ -687,17 +687,17 @@ mozTXTToHTMLConv::StructPhraseHit(const 
>-mozTXTToHTMLConv::SmilyHit(const PRUnichar * aInString, PRInt32 aLength, PRBool col0,
>+mozTXTToHTMLConv::smileyHit(const PRUnichar * aInString, PRInt32 aLength, PRBool col0,
>@@ -781,117 +781,117 @@ mozTXTToHTMLConv::GlyphHit(const PRUnich
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, col0,
>+          smileyHit(aInString, aInLength, col0,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>-          SmilyHit(aInString, aInLength, bArg,
>+          smileyHit(aInString, aInLength, bArg,
>Index: mozilla/netwerk/streamconv/converters/mozTXTToHTMLConv.h
>diff -u -8 -p -r1.15 mozTXTToHTMLConv.h
>@@ -282,23 +282,23 @@ private:
>-  @param tagTXT (in): Smily, see also StructPhraseHit
>+  @param tagTXT (in): smiley, see also StructPhraseHit
>-         SmilyHit(const PRUnichar * aInString, PRInt32 aLength, PRBool col0,
>+         smileyHit(const PRUnichar * aInString, PRInt32 aLength, PRBool col0,

>Index: mozilla/webtools/bonsai/cvsguess.cgi
>diff -u -8 -p -r1.12 cvsguess.cgi
>@@ -33,18 +33,18 @@ my $debug = $::FORM{'debug'};
>-my $CVS_REPOS_SUFIX = $CVS_ROOT;
>-$CVS_REPOS_SUFIX =~ s/\//_/g;
>+my $CVS_REPOS_suffix = $CVS_ROOT;
>+$CVS_REPOS_suffix =~ s/\//_/g;

>Index: mozilla/webtools/bonsai/cvsindex.pl
>diff -u -8 -p -r1.3 cvsindex.pl
>@@ -34,22 +34,22 @@ require "utils.pl";
>-$CVS_REPOS_SUFIX = $::CVS_ROOT;
>-$CVS_REPOS_SUFIX =~ s:/:_:g;
>+$CVS_REPOS_suffix = $::CVS_ROOT;
>+$CVS_REPOS_suffix =~ s:/:_:g;
>-$CHECKIN_DATA_FILE = "$bonsaidir/data/checkinlog${CVS_REPOS_SUFIX}";
>-$CHECKIN_INDEX_FILE = "$bonsaidir/data/index${CVS_REPOS_SUFIX}";
>+$CHECKIN_DATA_FILE = "$bonsaidir/data/checkinlog${CVS_REPOS_suffix}";
>+$CHECKIN_INDEX_FILE = "$bonsaidir/data/index${CVS_REPOS_suffix}";

>Index: mozilla/webtools/bonsai/cvsquery.cgi
>diff -u -8 -p -r1.52 cvsquery.cgi
>@@ -83,21 +83,21 @@ if (!$generateBackoutCVSCommands) {
>-my $CVS_REPOS_SUFIX = $::CVS_ROOT;
>-$CVS_REPOS_SUFIX =~ s/\//_/g;
>+my $CVS_REPOS_suffix = $::CVS_ROOT;
>+$CVS_REPOS_suffix =~ s/\//_/g;
>-my $CHECKIN_DATA_FILE = "data/checkinlog${CVS_REPOS_SUFIX}";
>-my $CHECKIN_INDEX_FILE = "data/index${CVS_REPOS_SUFIX}";
>+my $CHECKIN_DATA_FILE = "data/checkinlog${CVS_REPOS_suffix}";
>+my $CHECKIN_INDEX_FILE = "data/index${CVS_REPOS_suffix}";

>Index: mozilla/webtools/bonsai/indextest.pl
>diff -u -8 -p -r1.4 indextest.pl
>@@ -23,21 +23,21 @@ use strict;
>-$CVS_REPOS_SUFIX = $::CVS_ROOT;
>-$CVS_REPOS_SUFIX =~ s/\//_/g;
>+$CVS_REPOS_suffix = $::CVS_ROOT;
>+$CVS_REPOS_suffix =~ s/\//_/g;
>-my $CHECKIN_DATA_FILE = "data/checkinlog${CVS_REPOS_SUFIX}";
>-my $CHECKIN_INDEX_FILE = "data/index${CVS_REPOS_SUFIX}";
>+my $CHECKIN_DATA_FILE = "data/checkinlog${CVS_REPOS_suffix}";
>+my $CHECKIN_INDEX_FILE = "data/index${CVS_REPOS_suffix}";

>Index: mozilla/webtools/bonsai/reposfiles.pl
>diff -u -8 -p -r1.4 reposfiles.pl
>@@ -25,21 +25,21 @@ use strict;
>-$CVS_REPOS_SUFIX = $::CVS_ROOT;
>-$CVS_REPOS_SUFIX =~ s/\//_/g;
>+$CVS_REPOS_suffix = $::CVS_ROOT;
>+$CVS_REPOS_suffix =~ s/\//_/g;
>-$FILE_LIST = "/d/webdocs/projects/bonsai/data/reposfiles${CVS_REPOS_SUFIX}";
>+$FILE_LIST = "/d/webdocs/projects/bonsai/data/reposfiles${CVS_REPOS_suffix}";

>Index: mozilla/webtools/tinderbox/buildwho.pl
>diff -u -8 -p -r1.11 buildwho.pl
>@@ -49,21 +49,21 @@ require "$tree/treedata.pl";
>-$CVS_REPOS_SUFIX = $CVS_ROOT;
>-$CVS_REPOS_SUFIX =~ s/\//_/g;
>+$CVS_REPOS_suffix = $CVS_ROOT;
>+$CVS_REPOS_suffix =~ s/\//_/g;
>-$CHECKIN_DATA_FILE = "/d/webdocs/projects/bonsai/data/checkinlog${CVS_REPOS_SUFIX}";
>-$CHECKIN_INDEX_FILE = "/d/webdocs/projects/bonsai/data/index${CVS_REPOS_SUFIX}";
>+$CHECKIN_DATA_FILE = "/d/webdocs/projects/bonsai/data/checkinlog${CVS_REPOS_suffix}";
>+$CHECKIN_INDEX_FILE = "/d/webdocs/projects/bonsai/data/index${CVS_REPOS_suffix}";

>Index: mozilla/widget/src/mac/nsToolkitBase.cpp
>diff -u -8 -p -r1.8 nsToolkitBase.cpp
>@@ -79,34 +79,34 @@ nsToolkitBase::nsToolkitBase()
>-  RemoveSleepWakeNotifcations();
>+  RemoveSleepWakenotifications();
>-  RegisterForSleepWakeNotifcations();
>+  RegisterForSleepWakenotifications();
>@@ -205,17 +205,17 @@ nsToolkitBase::PostSleepWakeNotification
>-nsToolkitBase::RegisterForSleepWakeNotifcations()
>+nsToolkitBase::RegisterForSleepWakenotifications()
>@@ -228,17 +228,17 @@ nsToolkitBase::RegisterForSleepWakeNotif
>-nsToolkitBase::RemoveSleepWakeNotifcations()
>+nsToolkitBase::RemoveSleepWakenotifications()
>Index: mozilla/widget/src/mac/nsToolkitBase.h
>diff -u -8 -p -r1.4 nsToolkitBase.h
>@@ -57,18 +57,18 @@ public:
>-  nsresult          RegisterForSleepWakeNotifcations();
>-  void              RemoveSleepWakeNotifcations();
>+  nsresult          RegisterForSleepWakenotifications();
>+  void              RemoveSleepWakenotifications();

Bad case
Attachment #198015 - Flags: review?(timeless) → review-
Comment on attachment 198023 [details] [diff] [review]
Fixes protocal, editting, editted, targetted, targetting, noticable and managable

>Index: mozilla/calendar/resources/content/eventDialog.js
>diff -u -8 -p -r1.172 eventDialog.js
>@@ -53,26 +53,26 @@
>-   args.calendarEvent = calendarEvent;    // newly creatd calendar event to be editted
>+   args.calendarEvent = calendarEvent;    // newly creatd calendar event to be edited

created

>-   args.calendarEvent = calendarEvent;    // javascript object containin the event to be editted
>+   args.calendarEvent = calendarEvent;    // javascript object containin the event to be edited

containing

>Index: mozilla/gc/boehm/README
>diff -u -8 -p -r1.1 README
>@@ -1468,10 +1468,10 @@ To do:
>    also reduce large block allocation time, whcih has become occasionally

which

>-   noticable in 4.13.
>+   noticeable in 4.13.

>Index: mozilla/uriloader/exthandler/mac/nsInternetConfigService.cpp
>diff -u -8 -p -r1.39 nsInternetConfigService.cpp
>@@ -120,17 +120,17 @@ NS_IMETHODIMP nsInternetConfigService::H
>-/* boolean hasProtocalHandler (in string protocol); */
>+/* boolean hasprotocolHandler (in string protocol); */

preserve case

>Index: mozilla/webtools/bugzilla/template/en/default/admin/milestones/confirm-delete.html.tmpl
>diff -u -8 -p -r1.4 confirm-delete.html.tmpl
>@@ -1,9 +1,9 @@
>-[%# 1.0@bugzilla.org %]
>+[%# 1.0@bugzilla.org %]

i can't figure out this change

>Index: mozilla/webtools/bugzilla/template/en/default/admin/milestones/deleted.html.tmpl
>diff -u -8 -p -r1.3 deleted.html.tmpl
>@@ -1,9 +1,9 @@
>-[%# 1.0@bugzilla.org %]
>+[%# 1.0@bugzilla.org %]

i can't figure out this change

>Index: mozilla/webtools/bugzilla/template/en/default/admin/versions/confirm-delete.html.tmpl
>diff -u -8 -p -r1.3 confirm-delete.html.tmpl
>@@ -1,9 +1,9 @@
>-[%# 1.0@bugzilla.org %]
>+[%# 1.0@bugzilla.org %]

are you actively corrupting utf8 or equivalent headers? if so, please don't.

>Index: mozilla/webtools/mozbot/mozbot.pl
>diff -u -8 -p -r2.50 mozbot.pl
>@@ -746,37 +746,37 @@ sub on_join_channel {
>-sub targetted {
>+sub targeted {

you need hixie's review for mozbot. again, split out webtools. as it happens, this is a significant api change. as such, you might as well consider it vetod.

>-    if (defined($_ = targetted($data, quotemeta($nicks[$nick])))) {
>+    if (defined($_ = targeted($data, quotemeta($nicks[$nick])))) {
>-            if (defined targetted($data, $nick)) {
>+            if (defined targeted($data, $nick)) {

>Index: mozilla/webtools/mozbot/BotModules/Infobot.bm
>diff -u -8 -p -r1.18 Infobot.bm
>@@ -104,17 +104,17 @@ sub Told {
>-        $self->targettedSay($event, "I have $sum factoids in my database and $friends to help me answer questions. ".
>+        $self->targetedSay($event, "I have $sum factoids in my database and $friends to help me answer questions. ".
>@@ -306,29 +306,29 @@ sub SetFactoid {
>-                    $self->targettedSay($event, 'Yep, that\'s what I thought. Thanks for confirming it.', $direct);
>+                    $self->targetedSay($event, 'Yep, that\'s what I thought. Thanks for confirming it.', $direct);
>-                    $self->targettedSay($event, "But $subject $database '@what'...", $direct);
>+                    $self->targetedSay($event, "But $subject $database '@what'...", $direct);
>-            $self->targettedSay($event, 'ok', $direct);
>+            $self->targetedSay($event, 'ok', $direct);
>@@ -363,17 +363,17 @@ sub SetFactoid {
>-            $self->targettedSay($event, 'Oh, yeah, great idea, get me to talk to myself.', $direct);
>+            $self->targetedSay($event, 'Oh, yeah, great idea, get me to talk to myself.', $direct);
>@@ -391,24 +391,24 @@ sub Literal {
>-            $self->targettedSay($event, "$is is '@what'.", 1);
>+            $self->targetedSay($event, "$is is '@what'.", 1);
>-            $self->targettedSay($event, "$are are '@what'.", 1);
>+            $self->targetedSay($event, "$are are '@what'.", 1);
>-        $self->targettedSay($event, "I have no record of anything called '$subject'.", 1);
>+        $self->targetedSay($event, "I have no record of anything called '$subject'.", 1);
>@@ -512,17 +512,17 @@ sub FindFactoid {
>-            $self->targettedSay($event, "Er, I don't know about this $subject thingy...", $direct);
>+            $self->targetedSay($event, "Er, I don't know about this $subject thingy...", $direct);
>@@ -531,17 +531,17 @@ sub EditFactoid {
>-        $self->targettedSay($event, 'ok', $direct);
>+        $self->targetedSay($event, 'ok', $direct);
>@@ -550,20 +550,20 @@ sub ForgetFactoid {
>-            $self->targettedSay($event, "I've forgotten what I knew about '$subject'.", $direct);
>+            $self->targetedSay($event, "I've forgotten what I knew about '$subject'.", $direct);
>-            $self->targettedSay($event, "I never knew anything about '$subject' in the first place!", $direct);
>+            $self->targetedSay($event, "I never knew anything about '$subject' in the first place!", $direct);
>@@ -701,43 +701,43 @@ sub Scheduled {
>-        $self->targettedSay($event, "told $target", 1);
>+        $self->targetedSay($event, "told $target", 1);
>-            $self->targettedSay($event, $what, 1);
>+            $self->targetedSay($event, $what, 1);
>-                $self->targettedSay($event, substr($what, 0, $self->{'maxInChannel'}) . '... (rest /msged)' , 1);
>+                $self->targetedSay($event, substr($what, 0, $self->{'maxInChannel'}) . '... (rest /msged)' , 1);
>-                $self->targettedSay($event, substr($what, 0, $self->{'maxInChannel'}) . '... (there is more; ask me in a /msg)' , 1);
>+                $self->targetedSay($event, substr($what, 0, $self->{'maxInChannel'}) . '... (there is more; ask me in a /msg)' , 1);
>-sub targettedSay {
>+sub targetedSay {
>@@ -773,16 +773,16 @@ sub allowed {
>-        $self->targettedSay($event, "Sorry, I've no idea who you are.", $direct);
>+        $self->targetedSay($event, "Sorry, I've no idea who you are.", $direct);
>-        $self->targettedSay($event, "Sorry, I've no idea what '$subject' $database.", $direct);
>+        $self->targetedSay($event, "Sorry, I've no idea what '$subject' $database.", $direct);
>Index: mozilla/webtools/mozbot/BotModules/devel.txt
>diff -u -8 -p -r2.10 devel.txt
>@@ -713,17 +713,17 @@ recommended.
>- or nick targetted, the second is the message to send, and the third
>+ or nick targeted, the second is the message to send, and the third

>Index: mozilla/xpinstall/wizard/libxpnet/GUSI/include/GUSIFileSpec.h
>diff -u -8 -p -r1.2 GUSIFileSpec.h
>@@ -1,17 +1,17 @@
>-// % Bugzilla Bug 106386 rid source of these misspellings: persistant persistance priviledge protocal editting editted targetted targetting

this is a change log entry. don't poke it.
Attachment #198023 - Flags: review?(timeless) → review-
Attachment #165086 - Attachment is obsolete: true
Comment on attachment 173573 [details] [diff] [review]
scripted fixups - layout, rev. 1

mozilla/layout/generic/nsIFrame.h 	3.297
mozilla/layout/generic/nsHTMLReflowState.h 	3.51
mozilla/layout/generic/nsHTMLReflowState.cpp 	1.232
mozilla/layout/generic/nsGfxScrollFrame.cpp 	3.238
mozilla/layout/generic/nsFrameFrame.cpp 	3.289
mozilla/layout/generic/nsFrame.h 	3.233
mozilla/layout/generic/nsFrame.cpp 	3.597
mozilla/layout/generic/nsContainerFrame.cpp 	1.246
mozilla/layout/generic/nsColumnSetFrame.cpp 	3.16
mozilla/layout/generic/nsBlockReflowState.cpp 	3.506
mozilla/layout/generic/nsBlockFrame.h 	3.210
mozilla/layout/generic/nsBlockFrame.cpp 	3.747
mozilla/layout/xul/base/src/grid/nsGridRowLayout.cpp 	1.9
mozilla/layout/xul/base/src/grid/nsGridRowGroupLayout.cpp 	1.10
mozilla/layout/xul/base/src/grid/nsGrid.cpp 	1.23
mozilla/layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp 	1.256
mozilla/layout/tables/nsTableRowGroupFrame.cpp 	3.349
mozilla/layout/tables/nsTableRowFrame.cpp 	3.372
mozilla/layout/tables/nsTablePainter.cpp 	3.14
mozilla/layout/tables/nsTableOuterFrame.cpp 	3.287
mozilla/layout/tables/nsTableFrame.h 	3.258
mozilla/layout/tables/nsTableFrame.cpp 	3.622
mozilla/layout/tables/nsTableColFrame.cpp 	3.86
mozilla/layout/tables/nsTableCellFrame.cpp 	3.369
mozilla/layout/tables/nsCellMap.cpp 	3.96
mozilla/layout/tables/BasicTableLayoutStrategy.cpp 	3.230
mozilla/layout/xul/base/src/nsSprocketLayout.cpp 	1.47
mozilla/layout/xul/base/src/nsSplitterFrame.cpp 	1.140
mozilla/layout/xul/base/src/nsSliderFrame.cpp 	1.138
mozilla/layout/xul/base/src/nsScrollbarButtonFrame.cpp 	1.42
mozilla/layout/xul/base/src/nsMenuPopupFrame.cpp 	1.268
mozilla/layout/xul/base/src/nsMenuFrame.cpp 	1.303
mozilla/layout/xul/base/src/nsListBoxLayout.cpp 	1.7
mozilla/layout/xul/base/src/nsListBoxBodyFrame.cpp 	1.55
mozilla/layout/xul/base/src/nsBoxLayoutState.cpp 	1.36
mozilla/layout/xul/base/src/nsBoxFrame.cpp 	1.279
mozilla/layout/printing/nsPrintPreviewListener.cpp 	1.12
mozilla/layout/printing/nsPrintEngine.h 	1.18
mozilla/layout/printing/nsPrintEngine.cpp 	1.103
mozilla/layout/style/nsDOMCSSValueList.cpp 	1.8
mozilla/layout/style/nsCSSStyleSheet.cpp 	3.356
mozilla/layout/svg/renderer/src/libart/nsSVGLibartGradient.cpp 	1.4
mozilla/layout/svg/renderer/src/cairo/nsSVGCairoRegion.cpp 	1.8
mozilla/layout/svg/base/src/nsSVGRectFrame.cpp 	1.11
mozilla/layout/mathml/base/src/nsMathMLmfracFrame.cpp 	1.52
mozilla/layout/mathml/base/src/nsMathMLFrame.cpp 	1.57
mozilla/layout/mathml/base/src/nsMathMLContainerFrame.cpp 	1.121
mozilla/layout/mathml/base/src/nsMathMLChar.h 	1.26
mozilla/layout/mathml/base/src/nsMathMLChar.cpp 	1.112
mozilla/layout/mathml/base/src/mathfontPUA.properties 	1.3
mozilla/layout/generic/nsTextTransformer.h 	1.44
mozilla/layout/generic/nsTextFrame.cpp 	1.533
mozilla/layout/generic/nsSpaceManager.cpp 	3.66
mozilla/layout/generic/nsSimplePageSequence.cpp 	3.126
mozilla/layout/generic/nsSelection.cpp 	3.211
mozilla/layout/generic/nsReflowType.h 	3.5
mozilla/layout/generic/nsObjectFrame.cpp 	1.533
mozilla/layout/generic/nsLineLayout.cpp 	3.229
mozilla/layout/generic/nsLineBox.h 	1.71
mozilla/layout/generic/nsInlineFrame.cpp 	3.244
mozilla/layout/generic/nsImageFrame.cpp 	1.366
mozilla/layout/generic/nsILineIterator.h 	1.14
mozilla/layout/generic/nsIFrameDebug.h 	3.22
mozilla/layout/doc/debugtable.html 	1.5
mozilla/layout/doc/overview.html 	1.2
mozilla/layout/forms/nsComboboxControlFrame.cpp 	1.339
mozilla/layout/forms/nsFileControlFrame.cpp 	3.180
mozilla/layout/forms/nsFormControlFrame.h 	3.89
mozilla/layout/forms/nsHTMLButtonControlFrame.cpp 	3.196
mozilla/layout/forms/nsIComboboxControlFrame.h 	1.31
mozilla/layout/forms/nsIFormControlFrame.h 	3.30
mozilla/layout/forms/nsIsIndexFrame.cpp 	1.70
mozilla/layout/forms/nsListControlFrame.cpp 	1.382
mozilla/layout/forms/nsTextControlFrame.cpp 	3.205
mozilla/layout/forms/resources/skin/select.css 	1.12
mozilla/content/canvas/src/nsCanvasRenderingContext2D.cpp 	1.29
mozilla/layout/base/nsBidi.cpp 	3.9
mozilla/layout/base/nsCSSColorUtils.cpp 	1.9
mozilla/layout/base/nsCSSFrameConstructor.cpp 	1.1160
mozilla/layout/base/nsCSSRendering.cpp 	3.270
mozilla/layout/base/nsChangeHint.h 	3.11
mozilla/layout/base/nsFrameManager.cpp 	1.219
mozilla/layout/base/nsIFrameSelection.h 	1.67
mozilla/layout/base/nsPresContext.h 	3.155
mozilla/layout/base/nsPresShell.cpp 	3.884
mozilla/layout/doc/DD-SpaceManager.html 	1.5
mozilla/layout/doc/HLD-SpaceManager.html 	1.6
mozilla/layout/doc/Layout_Overview.html 	1.4
mozilla/layout/doc/adding-style-props.html 	1.9
mozilla/layout/doc/dd-template.html 	1.2
Attachment #173573 - Attachment is obsolete: true
Comment on attachment 146019 [details] [diff] [review]
"corrolated" patch

mozilla/netwerk/base/public/nsIIOService.idl 	1.66
mozilla/embedding/qa/jstests/networking/nsIIOService.js 	1.3
Attachment #146019 - Attachment is obsolete: true
Attachment #146019 - Flags: review+
Comment on attachment 173425 [details] [diff] [review]
fix misspellings of derivatives of delimit as delimet

mozilla/extensions/schema-validation/src/nsSchemaValidator.cpp 	1.7
mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp 	1.516
mozilla/modules/plugin/samples/SanePlugin/nsSanePluginControl.idl 	1.4
mozilla/netwerk/streamconv/converters/nsUnknownDecoder.cpp 	1.64
mozilla/xpinstall/packager/Packager.pm 	1.6
mozilla/xpcom/io/nsLocalFileMac.cpp 	1.112
Attachment #173425 - Attachment is obsolete: true
Attachment #203767 - Flags: review? → review?(dbaron)
Attachment #203767 - Flags: review?(dbaron) → review+
Comment on attachment 159944 [details] [diff] [review]
Shorter revised diff from previous.

>RCS file: /cvsroot/mozilla/build/unix/print-depth-path.sh,v
>retrieving revision 1.2
>@@ -41,9 +41,9 @@
>+# It doesn't use Artificial Intelligence.  It ddoesn't use Virtual Reality.

doesn't

>RCS file: /cvsroot/mozilla/cck/CCKDocs/cd_cck.htm,v
>retrieving revision 1.1

i can't understand the changes to this file.

>RCS file: /cvsroot/mozilla/cck/ib/ib.cpp,v
>retrieving revision 1.143
>@@ -3134,8 +3133,8 @@
>+//PostBeta - We have to inform the user that he or she has not set any value
>+//and that it will default. Returning TRUE so that it doesnt stay in the last

will default ....

>RCS file: /cvsroot/mozilla/chrome/src/nsChromeRegistry.cpp,v
>retrieving revision 1.308
>@@ -2384,7 +2384,7 @@
>+       // It ain't an error if these files don't exist
isn't

>RCS file: /cvsroot/mozilla/editor/libeditor/html/nsHTMLEditRules.cpp,v
>retrieving revision 1.313
>@@ -7901,7 +7901,7 @@
>+  // if it's first or last list item, don't need to split the list
either change "it's" to "it is the" or "its".

>RCS file: /cvsroot/mozilla/editor/libeditor/html/nsHTMLEditorStyle.cpp,v
>retrieving revision 1.67
>@@ -1635,7 +1635,7 @@
>+  // don't need to do anything if no characters actually selected
no characters _are_

>   nsresult res = NS_OK;

>RCS file: /cvsroot/mozilla/editor/libeditor/html/nsWSRunObject.cpp,v
>retrieving revision 1.37
>@@ -206,11 +206,11 @@
>+      // don't need to do anything.  just insert break.  ws wont change.
won't
>+      // don't need to do anything.  just insert break.  ws wont change.

>@@ -243,11 +243,11 @@
>+      // don't need to do anything.  just insert break.  ws wont change.
>+      // don't need to do anything.  just insert break.  ws wont change.
>@@ -303,11 +303,11 @@
>+      // don't need to do anything.  just insert text.  ws wont change.
>+      // don't need to do anything.  just insert text.  ws wont change.
>@@ -327,11 +327,11 @@
>+      // don't need to do anything.  just insert text.  ws wont change.
>+      // don't need to do anything.  just insert text.  ws wont change.

>RCS file: /cvsroot/mozilla/extensions/python/xpcom/src/VariantUtils.cpp,v
>retrieving revision 1.18
>@@ -2524,15 +2524,15 @@
> 	// (ie, translating our nsresult to a more appropriate nsresult
i.e.

>+	// If we don't get a tuple back, then the result is only
>+	// an int nsresult for the underlying function.

i'm not confident about this change. please post the python patch as its own (with updated changes)

> 	// (ie, the policy is expected to return (NS_OK, user_retval),
i.e.

>@@ -2566,7 +2566,7 @@
>+		NS_ABORT_IF_FALSE(last_result >=0 && last_result < m_num_type_descs, "Have one result, but don't know its index!");
>@@ -2583,7 +2583,7 @@
>+		// If they havent given enough, we don't really care.
haven't

>@@ -2603,7 +2603,7 @@
>+			// If weve already done it, or don't need to do it!
we've

>RCS file: /cvsroot/mozilla/extensions/python/xpcom/src/xpcom.cpp,v
>retrieving revision 1.20
>@@ -336,8 +336,8 @@
>+	// Don't raise an exception - as we are probably shutting down
>+	// and don't really case - just return the status

care

>RCS file: /cvsroot/mozilla/js/docs/jsref.xml,v
>retrieving revision 1.7
>@@ -5370,7 +5370,7 @@
>+      <C>filename</C> is the name of the file (or URL) containing the script. This information in included in error messages if an error occurs during compilation. Similarly, <C>lineno</C> is used to report the line number of the script or file where an error occurred during compilation.<P/>

is included
(repeated error)

>@@ -5469,7 +5469,7 @@

>@@ -5519,7 +5519,7 @@
>+      <C>filename</C> is the name of the file (or URL) containing the script. This information in messages if an error occurs during compilation. Similarly, <C>lineno</C> is used to report the line number of the script or file where an error occurred during compilation.<P/>

is included in messages ...
(repeated error)

>@@ -5652,7 +5652,7 @@
>@@ -5715,7 +5715,7 @@
>@@ -5776,7 +5776,7 @@

>@@ -5838,7 +5838,7 @@
>+      <C>filename</C> is the name of the file (or URL) containing the function. This information is included in messages if an error occurs during compilation. Similarly, <C>lineno</C> is used to report the line number of the function or file where an error occurred during compilation.<P/>

note that this one does it correctly...

>@@ -6031,7 +6031,7 @@
>+      <C>filename</C> is the name of the file (or URL) containing the script. This information in messages if an error occurs during compilation. Similarly, <C>lineno</C> is used to report the line number of the script or file where an error occurred during compilation.<P/>

>@@ -6126,7 +6126,7 @@

>RCS file: /cvsroot/mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/Emperor.java,v
>retrieving revision 1.4
>@@ -233,7 +233,7 @@
>+        _sourceViewManager.setPreferredNewViewRect( rectSrc );
>@@ -410,7 +410,7 @@
>+            _sourceViewManager.setPreferredNewViewRect(getPreferredNewSourceViewRect());
>@@ -541,7 +541,7 @@
>+    private Rect getPreferredNewSourceViewRect()

>RCS file: /cvsroot/mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/InspectorTyrant.java,v
>retrieving revision 1.4
>@@ -130,7 +130,7 @@
>+            // separately sort them before concating them. NOTE that numVec
concatenating

>RCS file: /cvsroot/mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/SourceViewManager.java,v
>retrieving revision 1.5
>@@ -187,7 +187,7 @@
>+    public void setPreferredNewViewRect( Rect rect ){_preferredNewViewRect = rect;}

this may be used externally, please split jsdj changes out from th \e rest

>RCS file: /cvsroot/mozilla/js/src/perlconnect/jsperl.c,v
>retrieving revision 1.11
>@@ -174,12 +174,12 @@
>     prohibit certain operations (like exit(), alarm(), die(), etc.). Or we
>+    may simple disallow calling the constructor more than once.

simply

>RCS file: /cvsroot/mozilla/js/src/xpconnect/src/xpc.msg,v
>retrieving revision 1.25
>@@ -62,7 +62,7 @@
>+XPC_MSG_DEF(NS_ERROR_XPC_CANT_CTOR_WO_SCRIPTABLE        , "Cannot use wrapper as constructor unless it implements nsIXPCScriptable")

as a
Attachment #159944 - Flags: review-
Comment on attachment 197934 [details] [diff] [review]
Same as earlier patch but does not introduce new misspelling

mozilla/parser/htmlparser/src/nsParser.cpp 	3.378
mozilla/mailnews/addrbook/src/nsAbAutoCompleteSession.cpp 	1.73
mozilla/layout/doc/HLD-SpaceManager.html 	1.7
mozilla/layout/printing/nsIPrintProgress.idl 	1.8
mozilla/gfx/public/nsIDeviceContext.h 	1.53
mozilla/mailnews/base/search/src/nsMsgFilterDelegateFactory.h 	1.5
mozilla/widget/src/cocoa/nsChildView.mm 	1.136
mozilla/extensions/pref/autoconfig/src/nsLDAPSyncQuery.cpp 	1.14
mozilla/editor/txtsvc/src/nsTextServicesDocument.h 	1.22
mozilla/db/sqlite3/src/btree.c 	1.5
mozilla/tools/codesighs/maptsvdifftool.c 	1.11
mozilla/tools/codesighs/msdump2symdb.c 	1.9
mozilla/tools/codesighs/msmap2tsv.c 	1.16
mozilla/tools/codesighs/nm2tsv.c 	1.7
mozilla/mailnews/base/public/nsIMsgProgress.idl 	1.5
mozilla/xpfe/components/related/src/nsRelatedLinksHandlerImpl.h 	1.6
mozilla/tools/codesighs/codesighs.c 	1.10
mozilla/widget/src/mac/nsMacWindow.cpp 	1.163
mozilla/toolkit/components/commandlines/public/nsICommandLineHandler.idl 	1.3
mozilla/modules/plugin/tools/sdk/samples/simple/plugin.h 	1.6
mozilla/tools/trace-malloc/tmstats.c 	1.4
mozilla/tools/trace-malloc/tmfrags.c 	1.6
mozilla/mailnews/compose/public/nsIMsgComposeProgress.idl 	1.4
mozilla/modules/plugin/tools/sdk/samples/scriptable/windows/plugin.h 	1.4
mozilla/xpfe/bootstrap/appleevents/nsAEClassDispatcher.cpp 	1.6
mozilla/mailnews/base/search/public/nsMsgBodyHandler.h 	1.10
mozilla/extensions/xforms/nsXFormsUtils.cpp 	1.60
mozilla/parser/htmlparser/src/nsParser.h 	3.134
Attachment #197934 - Attachment is obsolete: true
Comment on attachment 197936 [details] [diff] [review]
Fixes accessable

mozilla/content/xul/templates/src/nsXULTemplateBuilder.cpp 	1.313
mozilla/js/src/xpconnect/idl/xpccomponents.idl 	1.29
mozilla/xpcom/base/pure.h 	1.2
mozilla/directory/xpcom/datasource/nsLDAPDataSource.js 	1.29
mozilla/dom/src/base/nsDOMClassInfo.cpp 	1.332
mozilla/widget/src/mac/nsDragService.cpp 	1.86
mozilla/rdf/base/idl/nsIRDFDataSource.idl 	1.20
mozilla/widget/src/os2/nsWindow.h 	1.62
mozilla/widget/src/xpwidgets/nsBaseWidget.h 	1.76
mozilla/widget/src/xpwidgets/nsHTMLFormatConverter.cpp 	1.20
mozilla/widget/src/xpwidgets/nsTransferable.cpp 	1.64
mozilla/widget/src/windows/nsWindow.h 	3.213
Attachment #197936 - Attachment is obsolete: true
Comment on attachment 143176 [details] [diff] [review]
patch for "extentions" -> "extensions"

mozilla/xpfe/components/filepicker/src/nsFilePicker.js 	1.42
mozilla/modules/plugin/base/public/nsplugindefs.h 	1.29
mozilla/modules/plugin/base/public/npapi.h 	3.33
mozilla/extensions/tasks/Makefile.in 	1.2
mozilla/extensions/irc/Makefile.in 	1.32
Attachment #143176 - Attachment is obsolete: true
Attachment #203929 - Flags: review?(dbaron)
Attachment #203929 - Flags: review?(dbaron) → review+
Comment on attachment 203767 [details] [diff] [review]
fix misspellings of derivatives of delimit as delimet (take 2)

mozilla/extensions/xforms/nsXFormsSchemaValidator.cpp 	1.8
mozilla/extensions/xforms/resources/content/select.xml 	1.10
Attachment #203767 - Attachment is obsolete: true
Attachment #116051 - Flags: review?(kengert)
Comment on attachment 149866 [details] [diff] [review]
The misspellings I reported. (sans bogus, first chunk)

i dropped a bunch of sections because they're code that isn't ours, or transcript of emails and similar things.
i also didn't try to commit to nspr/directory


mozilla/grendel/sources/grendel/composition/AddressList.java 	1.5
mozilla/grendel/docs/grendel/dnd/DragSourceDropEvent.html 	1.2
mozilla/grendel/docs/serialized-form.html 	1.2
mozilla/grendel/sources/grendel/storage/selftestdata/Inbox 	1.2
mozilla/grendel/sources/grendel/dnd/DragSourceDropEvent.java 	1.2
mozilla/grendel/sources/grendel/composition/NSTabbedPane.java 	1.2
mozilla/modules/edtplug/classes/netscape/plugin/composer/Plugin.java 	3.4
mozilla/modules/plugin/samples/default/osnpshell.cpp 	1.10
mozilla/msgsdk/C/protocol/IMAPsrc/imap4.c 	1.4
mozilla/modules/oji/tests/FAQ 	1.3
mozilla/ipc/ipcd/extensions/transmngr/public/ipcITransactionService.idl 	1.4
mozilla/modules/plugin/samples/unixprinting/npunix.c 	1.3
mozilla/java/xpcom/test/basic/params/J2XINOUT/cpp/J2XINOUTServerTestComponentFactory.cpp 	1.2
mozilla/embedding/browser/activex/tests/cbrowse/CBrowseDlg.cpp 	1.9
mozilla/modules/oji/tests/src/JNI/ClassOperation/FindClass_1.cpp 	1.3
mozilla/netwerk/base/src/nsDirectoryIndexStream.h 	1.11
mozilla/netwerk/base/src/nsIOService.cpp 	1.180
mozilla/netwerk/base/src/nsURLHelper.cpp 	1.63
mozilla/extensions/python/xpcom/server/policy.py 	1.9
mozilla/java/plugins/src/PlugletLoader.cpp 	1.7
mozilla/java/plugins/test/src/org/mozilla/pluglet/test/basic/api/PlugletManager_reloadPluglets_2.java 	1.3
mozilla/cck/build/CCKBuild.bat 	1.5
mozilla/cck/build/CCKBuild.pl 	1.2
mozilla/modules/plugin/samples/default/unix/npunix.c 	1.11
mozilla/gfx/src/xprint/nsXPrintContext.cpp 	1.53
mozilla/java/build/README.DOM 	1.2
mozilla/modules/oji/tests/src/JNI/CallingStaticMethods/GetStaticMethodID_1.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingStaticMethods/GetStaticMethodID_2.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingStaticMethods/GetStaticMethodID_3.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingStaticMethods/GetStaticMethodID_4.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingStaticMethods/GetStaticMethodID_5.cpp 	1.3
mozilla/modules/plugin/samples/testevents/README.txt 	1.3
mozilla/modules/plugin/samples/testevents/npevents.cpp 	1.15
mozilla/editor/libeditor/text/nsTextEditRules.cpp 	1.200
mozilla/java/webclient/src_ie/NativeEventThread.cpp 	1.5
mozilla/java/xpcom/test/basic/stress/cpp/StressComponent2Factory.cpp 	1.2
mozilla/java/xpcom/urp/src/test/Init/initImplFactory.cpp 	1.2
mozilla/gfx/src/ps/nsAFMObject.cpp 	1.30
mozilla/gfx/src/ps/nsRenderingContextPS.cpp 	1.85
mozilla/configure.in 	1.1557
mozilla/browser/components/migration/src/nsOperaProfileMigrator.cpp 	1.46
mozilla/browser/components/migration/src/nsSeamonkeyProfileMigrator.cpp 	1.22
mozilla/composer/base/content/editor.js 	1.4
mozilla/composer/base/content/editorOverlay.xul 	1.4
mozilla/build/unix/print-depth-path.sh 	1.3
mozilla/browser/installer/unix/config.it 	1.17
mozilla/dbm/src/db.c 	3.3
mozilla/calendar/resources/content/calendar.js 	1.211
mozilla/calendar/resources/content/calendarEvent.js 	1.65
mozilla/calendar/resources/content/calendarMail.js 	1.20
mozilla/content/html/document/src/nsHTMLContentSink.cpp 	3.735
mozilla/camino/src/bookmarks/BookmarkManager.mm 	1.50
mozilla/extensions/content-packs/resources/content/pref-contentpacks.xul 	1.34
mozilla/editor/ui/composer/content/editorOverlay.xul 	1.253
mozilla/extensions/python/xpcom/test/test_component/py_test_component.html 	1.3
mozilla/extensions/python/xpcom/test/test_component/py_test_component.idl 	1.8
mozilla/extensions/python/xpcom/test/test_component/py_test_component.py 	1.7
mozilla/extensions/venkman/resources/content/tree-utils.js 	1.32
mozilla/gfx/src/xlib/nsRenderingContextXlib.cpp 	1.113
mozilla/gfx/src/xprintutil/xprintutil.c 	1.4
mozilla/extensions/python/xpcom/test/test_components.py 	1.5
mozilla/extensions/python/xpcom/test/test_isupports_primitives.py 	1.6
mozilla/extensions/python/xpcom/test/test_test_component.js 	1.5
mozilla/extensions/python/xpcom/test/test_test_component.py 	1.14
mozilla/extensions/webservices/proxy/src/wspcallcontext.cpp 	1.15
mozilla/java/plugins/test/src/org/mozilla/pluglet/test/basic/api/PlugletManager_getURL_PlugletManager_getURL_default_getData.html 	1.4
mozilla/java/xpcom/test/basic/params/X2JIN/cpp/X2JINClientTestComponentFactory.cpp 	1.2
mozilla/java/xpcom/test/basic/mthreads/MThreadComponent2Factory.cpp 	1.3
mozilla/content/events/src/nsEventStateManager.cpp 	1.627
mozilla/js/docs/README 	1.2
mozilla/js/docs/jsref.xml 	1.8114 
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/Emperor.java 	1.6
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/InspectorTyrant.java 	1.6
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/JSDebuggerApp.java 	1.6
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/LicenseViewer.java 	1.6
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/SourceViewManager.java 	1.7
mozilla/lib/mac/UserInterface/CCaption.h 	3.4
mozilla/lib/mac/UserInterface/CMouseDispatcher.cp 	3.6
mozilla/lib/mac/UserInterface/CPatternButton.cp 	3.6
mozilla/lib/mac/UserInterface/CPatternButtonPopupText.cp 	3.5
mozilla/lib/mac/UserInterface/CSharedPatternWorld.cp 	3.4
mozilla/lib/mac/UserInterface/LCustomizeMenu.cp 	3.6
mozilla/lib/mac/UserInterface/LCustomizeMenu.h 	3.5
mozilla/lib/mac/UserInterface/UGAAppearance.cp 	3.4
mozilla/lib/mac/UserInterface/UGraphicGizmos.cp 	3.7
mozilla/java/pluggable-jvm/wf/java/sun/jvmp/PluggableJVM.java 	1.3
mozilla/jssrc/regexp/regexp.c 	1.22
mozilla/js/jsd/jsdebug.h 	3.20
mozilla/js/rhino/examples/jsdoc.js 	1.6
mozilla/js/perf/jsPerformance.pl 	1.3
mozilla/js/rhino/src/org/mozilla/javascript/NativeString.java 	1.52
mozilla/content/html/content/src/nsHTMLInputElement.cpp 	1.415
mozilla/caps/tests/mozDriver.pl 	1.4
mozilla/jsChangeLog 	1.2
mozilla/js/tests/jsDriver.pl 	1.61
mozilla/editor/libeditor/html/nsHTMLDataTransfer.cpp 	1.111
mozilla/editor/libeditor/html/nsHTMLEditRules.cpp 	1.321225 
mozilla/editor/libeditor/html/nsHTMLEditor.cpp 	1.533
mozilla/editor/libeditor/html/nsHTMLEditorMouseListener.cpp 	1.18
mozilla/editor/libeditor/html/nsHTMLEditorStyle.cpp 	1.68
mozilla/editor/libeditor/html/nsWSRunObject.cpp 	1.39
mozilla/mail/extensions/offline/install.js 	1.4
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/palomar/widget/layout/BoxView.java 	1.5
mozilla/extensions/python/xpcom/file.py 	1.10
mozilla/extensions/python/xpcom/xpt.py 	1.6
mozilla/mailnews/imap/src/nsImapProtocol.cpp 	1.617
mozilla/mailnews/imap/src/nsImapServerResponseParser.cpp 	1.132
mozilla/js/jsd/corba/jsd_iiop.cpp 	1.4
mozilla/gfx/src/freetype/nsFreeType.cpp 	1.29
mozilla/mailnews/local/src/nsPop3Protocol.cpp 	1.248
mozilla/layout/html/tests/table/marvin/tables_row_th_nowrap.html 	1.3
mozilla/layout/html/tests/table/marvin/tables_td_nowrap.html 	1.3
mozilla/js/src/xpconnect/tests/idispatch/Tests/jsDriver.pl 	1.3
mozilla/js/src/perlconnect/JS.xs 	1.12
mozilla/js/src/perlconnect/jsperl.c 	1.14
mozilla/java/xpcom/test/basic/params/J2XOUT/cpp/J2XOUTServerTestComponentFactory.cpp 	1.2
mozilla/mailnews/mime/src/mimehdrs.cpp 	1.70
mozilla/mailnews/import/src/nsImportStringBundle.h 	1.7
mozilla/modules/libtest/src/nsTestEventsApi.cpp 	1.2
mozilla/modules/libtest/src/nsTestQueryApi.cpp 	1.2
mozilla/modules/libnls/headers/decimfmt.h 	1.2
mozilla/modules/libnls/headers/ptypes.h 	1.3
mozilla/modules/edtplug/classes/netscape/plugin/composer/mapedit/InfoDialog.java 	3.4
mozilla/modules/libjar/nsZipArchive.cpp 	1.80
mozilla/modules/libjar/nsZlibAllocator.h 	1.3
mozilla/msgsdk/java/highlevel/examples/testsendMessage.java 	1.3
mozilla/modules/libpref/src/init/all.js 	3.611
mozilla/msgsdk/java/protocol/examples/exampleMIMEEncodeTest.java 	1.3
mozilla/modules/oji/tests/script/OJIAPITestsDescr.html 	1.2
mozilla/java/xpcom/test/basic/mthreads/context/MThreadContextFactory.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingInstanceMethods/GetMethodID_1.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingInstanceMethods/GetMethodID_2.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingInstanceMethods/GetMethodID_3.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingInstanceMethods/GetMethodID_4.cpp 	1.3
mozilla/modules/oji/tests/src/JNI/CallingInstanceMethods/GetMethodID_5.cpp 	1.4
mozilla/java/xpcom/test/basic/params/TestLoader/BCTestLoaderFactory.cpp 	1.2
mozilla/content/base/src/nsContentIterator.cpp 	1.70
mozilla/content/base/src/nsGeneratedIterator.cpp 	1.21
mozilla/content/base/src/nsGenericDOMDataNode.cpp 	3.166
mozilla/content/base/src/nsGenericElement.cpp 	3.426
mozilla/gfx/src/photon/nsDeviceContextPh.cpp 	1.66
mozilla/java/xpcom/old/test/JSSample.cpp 	1.2
mozilla/modules/plugin/base/src/ns4xPluginInstance.cpp 	1.128
mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp 	1.542
mozilla/editor/libeditor/base/nsEditor.cpp 	1.454
mozilla/editor/libeditor/base/nsEditor.h 	1.172
mozilla/modules/plugin/samples/4x-scriptable/doc.html 	1.2
mozilla/mailnews/addrbook/src/nsVCard.cpp 	1.6
mozilla/mailnews/base/build/win32.order 	1.5
mozilla/js/src/jsregexp.c 	3.107
mozilla/mailnews/base/src/nsMessenger.cpp 	1.328
mozilla/mailnews/base/src/nsMsgAccountManager.h 	1.52
mozilla/mailnews/base/src/nsMsgFolderCache.cpp 	1.46
mozilla/extensions/help/resources/locale/en-US/mail_sec_help.xhtml 	1.31
mozilla/mailnews/compose/src/nsMsgCompose.cpp 	1.474
mozilla/mailnews/compose/src/nsSmtpService.cpp 	1.136
mozilla/js/jsdj/classes/com/netscape/jsdebugging/api/local/DebugControllerLocal.java 	1.4
mozilla/java/xpcom/test/basic/params/J2XRET/cpp/J2XRETServerTestComponentFactory.cpp 	1.2
mozilla/java/webclient/classes_spec/org/mozilla/webclient/impl/wrapper_native/GtkBrowserControlCanvas.java 	1.2
mozilla/extensions/python/xpcom/src/PyGBase.cpp 	1.16
mozilla/extensions/python/xpcom/src/PyGStub.cpp 	1.5
mozilla/extensions/python/xpcom/src/PyIInputStream.cpp 	1.6
mozilla/extensions/python/xpcom/src/PyISupports.cpp 	1.7
mozilla/extensions/python/xpcom/src/TypeObject.cpp 	1.8
mozilla/extensions/python/xpcom/src/VariantUtils.cpp 	1.20118 
mozilla/extensions/python/xpcom/src/xpcom.cpp 	1.22
mozilla/extensions/sroaming/resources/content/prefs/top.js 	1.4
mozilla/java/xpcom/test/basic/params/J2XIN/cpp/J2XINServerTestComponentFactory.cpp 	1.2
mozilla/modules/rdf/src/query.c 	3.5
mozilla/netwerk/streamconv/converters/ParseFTPList.cpp 	1.9
mozilla/java/xpcom/test/basic/params/X2JINOUT/cpp/X2JINOUTClientTestComponentFactory.cpp 	1.2
mozilla/jssrc/js2eval.cpp 	1.70
mozilla/jssrc/js2metadata.cpp 	1.262
mozilla/jssrc/js2op_flowcontrol.cpp 	1.23
mozilla/jssrc/plugin.cpp 	1.8
mozilla/jssrc/regexpwrapper.cpp 	1.15
mozilla/gfx/src/x11shared/nsXFontAAScaledBitmap.cpp 	1.7
mozilla/modules/softupdt/src/os2updt.c 	3.6
mozilla/gfx/idl/gfxIImageFrame.idl 	1.15
mozilla/java/plugins/test/src/org/mozilla/pluglet/test/basic/api/PlugletManager_reloadPluglets/deleteApplet/DelApp.java 	1.3
mozilla/mailnews/import/oexpress/nsOEStringBundle.h 	1.8
mozilla/js/src/xpconnect/src/xpc.msg 	1.26
mozilla/gfx/src/mac/nsMacUnicodeFontInfo.cpp 	1.26
mozilla/gfx/src/mac/nsUnicodeFontMappingMac.cpp 	1.30
mozilla/gfx/src/mac/nsUnicodeMappingUtil.cpp 	1.37
mozilla/gfx/src/mac/nsUnicodeMappingUtil.h 	1.15
mozilla/extensions/irc/js/tests/DP.js 	1.4
mozilla/extensions/irc/js/tests/mingus.js 	1.6
mozilla/extensions/irc/js/tests/test_matchobject.js 	1.2
mozilla/cck/ib/ib.cpp 	1.144
mozilla/modules/rdf/include/rdf.h 	3.8
mozilla/java/xpcom/test/basic/mthreads/mtstart/MTStartFactory.cpp 	1.3
mozilla/gfx/src/gtk/nsRenderingContextGTK.cpp 	1.195
mozilla/embedding/qa/jstests/accessibility/html/htmlanchortext.html 	1.6
mozilla/modules/plugin/samples/default/windows/npshell.cpp 	1.11
mozilla/netwerk/testserver/docs/help.html 	1.2
mozilla/netwerk/testserver/docs/urlmap 	1.6
mozilla/java/pluggable-jvm/wf/src/plugin/netscapenpunix.c 	1.2
mozilla/java/pluggable-jvm/wf/src/plugin/netscapenpunix.c.my 	1.2
mozilla/java/xpcom/test/basic/params/X2JOUT/cpp/X2JOUTClientTestComponentFactory.cpp 	1.2
mozilla/extensions/gnomevfs/nsGnomeVFSProtocolHandler.cpp 	1.8
mozilla/gfx/src/nsBlender.h 	3.28
mozilla/embedding/qa/jstests/accessibility/xul/xultoolbar.xul 	1.4
mozilla/embedding/qa/jstests/accessibility/xul/xultoolbox.xul 	1.4
mozilla/mailnews/build/win32.order 	1.2
mozilla/java/xpcom/urp/src/test/urpTestImplFactory.cpp 	1.2
mozilla/java/dom/README 	1.14
mozilla/netwerk/base/public/nsIURL.idl 	1.28
mozilla/layout/html/tests/table/bugs/bug44505.html 	1.2
mozilla/mailnews/db/msgdb/src/nsMsgDatabase.cpp 	1.359
mozilla/netwerk/protocol/ftp/src/nsFtpConnectionThread.cpp 	1.299
mozilla/modules/edtplug/classes/netscape/test/plugin/composer/ReleaseNotes.html 	3.3
mozilla/modules/edtplug/classes/netscape/test/plugin/composer/Test.java 	3.4
mozilla/content/xml/content/public/nsIXMLContent.h 	1.35
mozilla/intl/strres/src/nsStringBundleTextOverride.cpp 	1.6
mozilla/modules/progress/src/makefile.win 	3.5
mozilla/java/xpcom/test/basic/params/X2JRET/cpp/X2JRETClientTestComponentFactory.cpp 	1.2
mozilla/modules/plugin/samples/backward/badapter.cpp 	1.40
mozilla/mailnews/mime/emitters/src/nsMimeBaseEmitter.h 	1.28
mozilla/extensions/webservices/uddi/README.txt 	1.3
mozilla/modules/oji/tests/src/JNI/ObjectOperations/IsInstanceOf_3.cpp 	1.3
mozilla/msgsdk/java/protocol/examples/exampleSendMsgClnt.java 	1.3
mozilla/mail/installer/windows/config.it 	1.27
mozilla/js/tests/js1_regexp/RegExp_dollar_number.js 	1.6
mozilla/extensions/cview/resources/content/tree-utils.js 	1.8
mozilla/extensions/webservices/public/nsIScriptableInterfaceInfo.idl 	1.5
mozilla/modules/edtplug/classes/netscape/plugin/composer/ImageEncoder.java 	3.4
mozilla/ef/Compiler/RegisterAllocator/RegisterAllocator.cpp 	1.4
mozilla/ef/Debugger/jvmdi.cpp 	1.3
mozilla/ef/Debugger/Communication/DebuggerChannel.h 	1.3
mozilla/ef/Quality/BuildScript/buildef.pl 	1.3
mozilla/ef/config/rules.mk 	1.6
mozilla/ef/config/corerules.mk 	1.9
mozilla/ef/Utilities/zlib/gzio.c 	1.2
mozilla/ef/Utilities/zlib/deflate.h 	1.2
mozilla/ef/Quality/PerlLib/BuildMod.pm 	1.3
mozilla/ef/Runtime/ClassInfo/main.cpp 	1.3
mozilla/mstone/bin/protoconf.pl 	1.3
mozilla/mstone/bin/reduce.pl 	1.3114 
mozilla/mstone/bin/report.pl 	1.3
mozilla/mstone/bin/series_utils.ksh 	1.3
mozilla/mstone/bin/setup.pl 	1.4
mozilla/mstone/conf/imap.series 	1.2
mozilla/mstone/conf/pop.series 	1.2
mozilla/mstone/conf/sample.wld 	1.5
mozilla/mstone/conf/webmail.series 	1.2
mozilla/mstone/src/bench.h 	1.5
mozilla/mstone/src/client.c 	1.3
mozilla/mstone/src/errexit.c 	1.4
mozilla/mstone/src/http.c 	1.4
mozilla/mstone/src/imap4.c 	1.4
mozilla/mstone/src/main.c 	1.4
mozilla/mstone/src/pop3.c 	1.4
mozilla/mstone/src/smtp.c 	1.6
mozilla/mstone/src/sysdep.c 	1.3
mozilla/mstone/src/wmap.c 	1.5
mozilla/mstone/ChangeLog.21.2
mozilla/mstone/INSTALL 	1.3
mozilla/mstone/Makefile 	1.8
mozilla/mstone/ToDo 	1.5
mozilla/mstone/allbuild 	1.2
mozilla/mstone/ospkg.sh 	1.3
mozilla/mstone/bin/args.pl 	1.4
mozilla/mstone/bin/mailmaster.pl 	1.2
mozilla/mstone/bin/makeindex.pl 	1.3
mozilla/mstone/bin/makeusers.pl 	1.3
Attachment #149866 - Attachment is obsolete: true
Attachment #149866 - Flags: review+
Comment on attachment 149866 [details] [diff] [review]
The misspellings I reported. (sans bogus, first chunk)

mozilla/build/unix/run-mozilla.sh 	1.54
mozilla/content/xslt/src/xslt/txMozillaStylesheetCompiler.cpp 	1.37
mozilla/content/xslt/src/xslt/txMozillaXSLTProcessor.cpp 	1.46
mozilla/gfx/src/windows/nsFontMetricsWin.cpp 	3.238
Comment on attachment 149867 [details] [diff] [review]
The misspellings I reported. (sans bogus, second chunk)

mozilla/widget/src/windows/nsWindow.cpp 	3.598
mozilla/xpcom/components/nsComponentManager.cpp 	1.271
mozilla/xpcom/components/nsIModule.idl 	1.17
mozilla/xpcom/components/nsNativeComponentLoader.cpp 	1.108
mozilla/xpcom/components/xcDll.h 	1.26
mozilla/widget/src/xlib/nsAppShell.cpp 	1.94
mozilla/widget/src/xlib/nsWidget.cpp 	1.101
mozilla/xpcom/obsolete/nsIRegistry.idl 	1.3
mozilla/xpfe/bootstrap/init.d/S80calendar_fix_permissions_bug_230617 	1.2
mozilla/xpfe/components/search/src/nsInternetSearchService.cpp 	1.242
mozilla/xpcom/obsolete/component/nsIRegistry.idl 	1.3
mozilla/xpcom/obsolete/component/nsRegistry.cpp 	1.9
mozilla/xpinstall/wizard/windows/uninstall/dialogs.c 	1.20
mozilla/xpcom/ds/nsArrayEnumerator.cpp 	1.9
mozilla/xpcom/ds/nsObserverList.cpp 	3.34
mozilla/xpcom/ds/nsRecyclingAllocator.cpp 	1.17
mozilla/xpcom/ds/nsRecyclingAllocator.h 	1.12
mozilla/xpcom/proxy/src/nsProxyEventClass.cpp 	1.46
mozilla/xpcom/sample/nsSampleModule.cpp 	1.21
mozilla/xpcom/io/nsPipe3.cpp 	1.15
mozilla/xpcom/tests/windows/nsStringTest.h 	1.11
mozilla/xpinstall/packager/windows/config.it 	1.149
mozilla/xpinstall/packager/build/win/mozilla/config.it 	1.4
mozilla/xpfe/bootstrap/nsNativeAppSupportOS2.cpp 	1.71
mozilla/xpfe/bootstrap/nsNativeAppSupportWin.cpp 	1.132
mozilla/xpfe/components/prefwindow/resources/content/mac/platformPrefOverlay.xul 	1.3
mozilla/webtools/apidoc/parse_apidoc.pl 	1.12
mozilla/webtools/apidoc/parse_devedge_doc.pl 	1.5
mozilla/tools/jprof/stub/libmalloc.cpp 	1.17
mozilla/tools/jprof/stub/libmalloc.h 	1.3
mozilla/webtools/bonsai/README 	1.28
mozilla/webtools/bonsai/globals.pl 	1.35
mozilla/tools/performance/layout/perf-doc.html 	1.2
mozilla/tools/jprof/leaky.cpp 	1.10
mozilla/tools/footprint/heapmap.pl 	1.5
mozilla/webtools/bugzilla/process_bug.cgi 	1.298
mozilla/webtools/bugzilla/contrib/gnatsparse/gnatsparse.py 	1.3
mozilla/webtools/bugzilla/contrib/README.Mailif 	1.4
mozilla/webtools/bugzilla/contrib/bug_email.pl 	1.30
mozilla/webtools/bugzilla/contrib/bugmail_help.html 	1.3
mozilla/webtools/bugzilla/Bugzilla/User.pm 	1.96
mozilla/webtools/newsbot/newsbot.pl 	1.31
mozilla/webtools/tinderbox/src/bonsai_pvcs/globals.pl 	1.2
mozilla/webtools/tinderbox/src/default_conf/TinderConfig.pm 	1.53
mozilla/webtools/tinderbox/src/lib/PVCSGetData.pm 	1.2
mozilla/webtools/tinderbox/src/lib/TinderDB/BT_Req.pm 	1.9
mozilla/webtools/tinderbox/src/lib/TinderDB/BasicTxtDB.pm 	1.13
mozilla/webtools/tinderbox/src/lib/TinderDB/Build.pm 	1.68
mozilla/webtools/tinderbox/src/lib/TinderDB/VC_Bonsai.pm 	1.71
mozilla/webtools/tinderbox/src/lib/TinderDB/VC_CVS.pm 	1.36
mozilla/webtools/tinderbox/src/lib/TinderDB/VC_PVCSDimensions.pm 	1.3
mozilla/webtools/tinderbox/src/lib/TinderDB/VC_Perforce.pm 	1.30
mozilla/webtools/tinderbox/src/test/vcdisplay.tst 	1.6
mozilla/widget/src/gtk/nsWidget.cpp 	1.317
mozilla/widget/src/gtk/nsWindow.cpp 	1.459
mozilla/widget/src/Makefile.in 	1.35
mozilla/widget/src/gtk/nsClipboard.cpp 	1.25
mozilla/widget/src/gtk/nsWindow.cpp 	1.150
mozilla/widget/src/mac/nsFilePicker.cpp 	1.67
mozilla/widget/src/photon/nsWindow.cpp 	1.106
mozilla/editor/ui/dialogs/content/EdTableProps.js 	1.82
mozilla/parser/htmlparser/public/nsIParserFilter.h 	1.5
mozilla/plugin/oji/MRJ/plugin/Source/BackwardAdapter.cpp 	1.45
mozilla/toolkit/mozapps/installer/unix/wizard/nsWelcomeDlg.cpp 	1.5
mozilla/rdf/chrome/src/nsChromeRegistry.cpp 	1.325
mozilla/tools/leaky/leaky.html 	1.6
mozilla/tools/leaky/libmalloc.h 	1.5
mozilla/toolkit/mozapps/installer/windows/wizard/uninstall/dialogs.c 	1.4
mozilla/toolkit/components/filepicker/content/filepicker.js 	1.14
mozilla/parser/htmlparser/src/CNavDTD.cpp 	3.474
mozilla/parser/htmlparser/src/nsParser.cpp 	3.381
mozilla/parser/htmlparser/src/nsParserNode.cpp 	3.75
mozilla/tools/codesighs/codesighs.c 	1.11
mozilla/tools/codesighs/msmap2tsv.c 	1.17
mozilla/tools/codesighs/nm2tsv.c 	1.8
mozilla/tools/dreftool/main.cpp 	1.7
mozilla/webshell/tests/viewer/samples/test8.html 	3.36
mozilla/tools/performance/startup/printlog.pl 	1.4
mozilla/tools/module-deps/find-unused-exports.pl 	1.5
mozilla/tools/module-deps/force_order.txt 	1.6
mozilla/uriloader/exthandler/nsExternalHelperAppService.cpp 	1.294
mozilla/tools/trace-malloc/rules.txt 	1.9
mozilla/tools/trace-malloc/spacecategory.c 	1.18
mozilla/tools/trace-malloc/spacetrace.c 	1.51
mozilla/tools/preloader/preloader.cpp 	1.9
mozilla/tools/uuiddeps/uuidgrep.bash 	1.2
Attachment #149867 - Attachment is obsolete: true
Attachment #149867 - Flags: review+
Comment on attachment 149891 [details] [diff] [review]
The misspellings I reported. (part 2)

mozilla/tools/trace-malloc/spacetrace.h 	1.29
mozilla/tools/trace-malloc/spacetrace.c 	1.52
mozilla/tools/tests/win32/inbox 	1.2
mozilla/tools/tinderbox/qatest.pl 	1.6
mozilla/tools/tinderbox/build-seamonkey-util.pl 	1.303
mozilla/netwerk/streamconv/converters/ParseFTPList.h 	1.3
mozilla/tools/jprof/leaky.cpp 	1.11
mozilla/parser/htmlparser/src/nsParser.cpp 	3.382
mozilla/mailnews/extensions/palmsync/src/nsAbPalmSync.h 	1.9
mozilla/mailnews/compose/src/nsMsgSend.cpp 	1.377
mozilla/mailnews/compose/src/nsMsgCompUtils.cpp 	1.177
mozilla/mailnews/compose/src/nsMsgBinHex.cpp 	1.11
mozilla/tools/codesighs/nm2tsv.c 	1.9
mozilla/tools/codesighs/msmap2tsv.c 	1.18
mozilla/tools/codesighs/msdump2symdb.c 	1.10
mozilla/tools/codesighs/maptsvdifftool.c 	1.12
mozilla/tools/codesighs/codesighs.c 	1.12
mozilla/widget/src/gtk2/nsDragService.cpp 	1.10
mozilla/widget/src/gtk2/nsClipboard.h 	1.3
mozilla/mailnews/mapi/mapihook/src/msgMapiImp.cpp 	1.12
mozilla/xpinstall/src/nsUpdateNotification.cpp 	1.13
mozilla/modules/plugin/base/public/nsIPluginInstanceOwner.idl 	1.4
mozilla/xpcom/ds/nsTextFormatter.cpp 	1.20
mozilla/tools/performance/layout/uncombine.pl 	1.5
mozilla/webtools/tinderbox2/src/lib/TinderHeader.pm 	1.12
mozilla/webtools/tinderbox2/src/lib/MailProcess.pm 	1.15
mozilla/webtools/tinderbox2/src/lib/HTMLPopUp.pm 	1.29
mozilla/mailnews/news/src/nsNNTPNewsgroupPost.h 	1.15
mozilla/xpfe/components/sidebar/resources/sidebarOverlay.js 	1.126
mozilla/mailnews/local/src/nsPop3Protocol.cpp 	1.249
mozilla/modules/libnls/headers/unistring.h 	1.2
mozilla/modules/libnls/headers/smpdtfmt.h 	1.2
mozilla/modules/libnls/headers/simpletz.h 	1.2
mozilla/modules/libnls/headers/schriter.h 	1.2
mozilla/modules/libnls/headers/nlscol.h 	1.5
mozilla/modules/libnls/headers/locid.h 	1.2
mozilla/modules/libnls/headers/dtfmtsym.h 	1.2
mozilla/modules/libnls/headers/coll.h 	1.3
mozilla/modules/libnls/headers/brkiter.h 	1.2
mozilla/xpfe/appshell/src/nsChromeTreeOwner.cpp 	1.48
mozilla/webtools/tinderbox2/src/clientbin/cull_archive_dirs 	1.13
mozilla/webtools/tinderbox2/src/lib/Persistence/Storable.pm 	1.9
mozilla/webtools/tinderbox2/src/lib/Persistence/Dumper.pm 	1.11
mozilla/netwerk/dns/src/nsDNSService2.cpp 	1.12
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_Perforce.pm 	1.31
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_PVCSDimensions.pm 	1.4
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_CVS.pm 	1.37
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_Bonsai.pm 	1.72
mozilla/webtools/tinderbox2/src/lib/TinderDB/BasicTxtDB.pm 	1.14
mozilla/widget/src/mac/nsMacWindow.cpp 	1.164
mozilla/xpfe/browser/samples/dexparamdialog.xul 	1.11
mozilla/xpfe/browser/samples/dexparamdialog.html 	1.3
mozilla/xpfe/components/search/resources/search-panel.js 	1.87
mozilla/xpcom/string/public/nsTSubstring.h 	1.20
mozilla/xpcom/io/nsUnicharInputStream.cpp 	3.49
mozilla/xpcom/io/nsAppFileLocationProvider.cpp 	1.57
mozilla/xpcom/glue/standalone/nsGREDirServiceProvider.cpp 	1.43
mozilla/webtools/bugzilla/contrib/bugzilla_email_append.pl 	1.10
mozilla/webtools/bugzilla/contrib/bug_email.pl 	1.31
mozilla/webtools/bugzilla/Bugzilla/Util.pm 	1.41
mozilla/webtools/bugzilla/Bugzilla/Config.pm 	1.50
mozilla/webtools/bugzilla/Bugzilla/CGI.pm 	1.20
mozilla/netwerk/protocol/ftp/src/nsFtpConnectionThread.cpp 	1.300
mozilla/modules/plugin/base/src/ns4xPluginInstance.cpp 	1.129
mozilla/xpcom/tools/registry/regxpcom.cpp 	1.34
mozilla/webtools/tinderbox2/src/test/ReadMe 	1.17
mozilla/xpcom/obsolete/component/regExport.cpp 	1.3
mozilla/xpcom/obsolete/component/nsRegistry.cpp 	1.10
mozilla/modules/plugin/tools/tester/doc/testerplugin.html 	1.5
mozilla/widget/src/gtk/nsGtkIMEHelper.cpp 	1.58
mozilla/widget/src/gtk/nsClipboard.cpp 	1.125
mozilla/msgsdk/C/protocol/IMAP4/src/imap4.c 	1.5
mozilla/xpcom/components/nsNativeComponentLoader.cpp 	1.109
mozilla/modules/rdf/src/glue.c 	3.22
mozilla/mailnews/news/public/nsINNTPNewsgroupPost.idl 	1.15
mozilla/modules/plugin/tools/sdk/readme.txt 	1.5
mozilla/webtools/tinderbox2/src/bin/tinder.cgi 	1.40
mozilla/webtools/tinderbox2/src/bin/processmail_bugs 	1.15
mozilla/webtools/bugzilla/Bugzilla.pm 	1.25
mozilla/view/src/nsScrollPortView.cpp 	3.77
mozilla/webtools/PLIF/PLIF/Input.pm 	1.19
mozilla/uriloader/exthandler/mac/nsInternetConfigService.cpp 	1.40
mozilla/webtools/tinderbox2/src/default_conf/Error_Parse.pm 	1.19
mozilla/tools/trace-malloc/tmstats.c 	1.5
mozilla/tools/trace-malloc/tmfrags.c 	1.7
mozilla/extensions/webservices/public/nsISOAPTransportListener.idl 	1.12
mozilla/extensions/cview/resources/content/cview-utils.js 	1.7
mozilla/gfx/src/photon/nsImagePh.cpp 	1.49
mozilla/js/jsd/jsdb/jsdrefl.c 	1.8
mozilla/gfx/src/os2/nsFontMetricsOS2.cpp 	1.127
mozilla/java/dom/TODO 	1.5
mozilla/js/tests/src/com/netscape/javascript/qa/liveconnect/LiveConnectTest.java 	1.3
mozilla/intl/compatibility/src/nsCSIDtoCharsetName.cpp 	1.9
mozilla/ipc/ipcd/extensions/transmngr/module/tmQueue.h 	1.3
mozilla/extensions/venkman/resources/locale/en-US/venkman.properties 	1.59
mozilla/java/pluggable-jvm/wf/src/plugin/unix/java_plugin_shm_host.c 	1.3
mozilla/js/jsdj/classes/com/netscape/jsdebugging/apitests/Main.java 	1.4
mozilla/accessible/src/atk/nsMaiInterfaceEditableText.cpp 	1.2
mozilla/cck/driver/prefeditview.cpp 	1.13
mozilla/camino/src/application/AppDirServiceProvider.cpp 	1.8
mozilla/content/xul/templates/src/nsRDFTestNode.h 	1.5
mozilla/editor/libeditor/base/PlaceholderTxn.cpp 	1.34
mozilla/editor/libeditor/base/PlaceholderTxn.h 	1.16
mozilla/editor/libeditor/base/nsSelectionState.cpp 	1.21
mozilla/editor/libeditor/base/nsSelectionState.h 	1.10
mozilla/dom/public/idl/core/nsIDOM3Document.idl 	1.5
mozilla/dom/public/idl/core/nsIDOMDOMConfiguration.idl 	1.2
mozilla/editor/ui/dialogs/content/EdListProps.js 	1.39
mozilla/embedding/browser/powerplant/source/CAppFileLocationProvider.cpp 	1.19
mozilla/embedding/components/commandhandler/public/nsIControllerCommandTable.idl 	1.2
mozilla/embedding/qa/jstests/sHistory/SHListenerTest.html 	1.5
mozilla/java/pluggable-jvm/wf/public/jvmp_caps.h 	1.3
mozilla/js/jsd/corba/jsd_iiop.cpp 	1.5
mozilla/java/pluggable-jvm/wf/src/plugin/java_plugin.c 	1.4
mozilla/java/plugins/test/src/org/mozilla/pluglet/test/basic/params/PlugletStreamListener_onDataAvailable_input_2.java 	1.3
mozilla/java/plugins/test/src/org/mozilla/pluglet/test/basic/params/PlugletStreamListener_onDataAvailable_input_8.java 	1.3
mozilla/mailnews/addrbook/public/nsIAbDirectoryQuery.idl 	1.8
mozilla/lib/mac/UserInterface/CBevelView.cp 	3.6
mozilla/lib/mac/UserInterface/CTabSwitcher.cp 	3.4
mozilla/lib/mac/UserInterface/CToolbarButton.cp 	3.5
mozilla/js/src/jstypes.h 	3.37
mozilla/mailnews/base/util/nsMsgLineBuffer.h 	1.26
mozilla/layout/html/tests/table/bugs/bug80762-1.html 	1.2
mozilla/extensions/irc/js/tests/DP.js 	1.5
mozilla/extensions/irc/js/tests/ircbot.js 	1.10
mozilla/extensions/python/xpcom/test/test_components.py 	1.6
mozilla/extensions/python/xpcom/test/test_test_component.py 	1.15
mozilla/embedding/tests/mfcembed/winEmbedFileLocProvider.cpp 	1.28
mozilla/content/base/public/nsIStyleSheetLinkingElement.h 	3.14
mozilla/js/tests/ecma/ExecutionContexts/10.1.5-1.js 	1.5
mozilla/js/tests/ecma/ExecutionContexts/10.1.5-2.js 	1.5
mozilla/js/tests/ecma/ExecutionContexts/10.1.5-3.js 	1.5
mozilla/js/tests/ecma/ExecutionContexts/10.1.5-4.js 	1.5
mozilla/gfx/src/xlib/nsImageXlib.cpp 	1.49
mozilla/js/tests/js1_5/Exceptions/catchguard-001.js 	1.4
mozilla/js/tests/js1_5/Exceptions/catchguard-002.js 	1.4
mozilla/js/tests/js1_5/Exceptions/catchguard-003.js 	1.4
mozilla/java/plugins/test/doc/params/params.html 	1.3
mozilla/ipc/ipcd/extensions/transmngr/public/ipcITransactionService.idl 	1.5
mozilla/js2/src/js2op_invocation.cpp 	1.98
mozilla/js2/src/parser.cpp 	1.49
mozilla/js/tests/ecma_2/Statements/try-007.js 	1.3
mozilla/embedding/qa/testembed/winEmbedFileLocProvider.cpp 	1.19
mozilla/embedding/browser/gtk/src/EmbedPrivate.cpp 	1.58
mozilla/content/xul/document/public/nsIXULDocument.h 	1.32
mozilla/extensions/python/xpcom/src/PyGBase.cpp 	1.17
mozilla/extensions/python/xpcom/src/VariantUtils.cpp 	1.21 	10/0 
mozilla/extensions/python/xpcom/src/dllmain.cpp 	1.10
mozilla/layout/doc/obsolete/nav4-html.html 	1.3
mozilla/extensions/irc/xul/content/readprefs.js 	1.26
mozilla/js/jsdj/classes/com/netscape/jsdebugging/jsdb/Main.java 	1.4
mozilla/extensions/xml-rpc/src/nsXmlRpcClient.js 	1.36
mozilla/intl/ctl/src/pangoLite/pango-coverage.c 	1.4
mozilla/intl/locale/src/os2/nsCollationOS2.cpp 	1.29
mozilla/ipc/ipcd/extensions/transmngr/src/tmTransactionService.cpp 	1.7
mozilla/gfx/src/windows/nsFontMetricsWin.cpp 	3.239
mozilla/extensions/xml-rpc/idl/nsIXmlRpcClient.idl 	1.7
mozilla/editor/composer/src/nsComposerCommandsUpdater.cpp 	1.22
mozilla/mailnews/addrbook/src/nsAbLDAPChangeLogData.cpp 	1.11
mozilla/extensions/xmlterm/base/mozLineTerm.cpp 	1.39
mozilla/extensions/irc/js/lib/utils.js 	1.59
mozilla/extensions/irc/ChangeLog 	1.8
mozilla/layout/doc/DD-SpaceManager.html 	1.6
mozilla/layout/doc/regression_tests.html 	1.3
mozilla/js/jsdj/classes/com/netscape/jsdebugging/engine/rhino/RuntimeRhino.java 	1.4
mozilla/js/jsdj/classes/com/netscape/jsdebugging/jslogger/JSLogger.java 	1.4
mozilla/js/jsdj/classes/com/netscape/jsdebugging/jslogger/MyInterruptHook.java 	1.4
mozilla/extensions/webservices/public/nsISOAPCall.idl 	1.17
mozilla/extensions/webservices/public/nsISOAPResponseListener.idl 	1.14
mozilla/extensions/webservices/public/nsISOAPTransport.idl 	1.14
mozilla/ef/Compiler/CodeGenerator/md/ppc/PPCInstructionTemplates.h 	1.3
mozilla/grendel/sources/grendel/widgets/TreeTableDataModel.java 	1.3
mozilla/grendel/sources/calypso/util/ListenerList.java 	1.2
mozilla/grendel/sources/calypso/util/Abacus.java 	1.3
mozilla/grendel/docs/grendel/widgets/TreeTableDataModel.html 	1.3
mozilla/grendel/docs/calypso/util/ListenerList.html 	1.2
mozilla/grendel/docs/index-all.html 	1.3
mozilla/ef/Runtime/System/md/x86/x86UnixishThread.cpp 	1.2
mozilla/ef/Quality/TestScript/runTests.pl 	1.2
mozilla/ef/Quality/PerlLib/TestsMod.pm 	1.3
mozilla/ef/Compiler/CodeGenerator/md/x86/x86Stub_gas.s 	1.4
Attachment #149891 - Attachment is obsolete: true
Attachment #149891 - Flags: review+
This fixes convinient and paramter, plus a few other mistakes I found in the process.
Attachment #204196 - Flags: review?(timeless)
Attachment #204196 - Flags: review?(timeless) → review?(timeless)
Attachment #204196 - Flags: review?(timeless) → review?(timeless)
Attachment #116051 - Flags: review?(kengert) → review+
http://lxr.mozilla.org/seamonkey/search?string=cannon

A few of these are correct, but several are not.
Attachment #204722 - Flags: review?(timeless)
http://lxr.mozilla.org/seamonkey/search?string=declatory

This one is MPL and NPL only.  As such, any patch to this should probably seek clearance from mitchell, gerv, or one of the other license people.
That's assuming it actually is a misspelling... it seems to be commonly used, according to Google.
With respect to comment #77 and comment #78, the misspelling of "separate" has been fixed in the libmng CVS.   Glenn
missig
Posted patch missig -> missing (obsolete) — Splinter Review
Attachment #206680 - Flags: review?(timeless)
Attachment #204722 - Flags: review?(timeless) → review+
Comment on attachment 206680 [details] [diff] [review]
missig -> missing

r= me for the rhino change. i want to be sure rginda didn't have some specific reason for this in venkman.
Attachment #206680 - Flags: review?(timeless) → review?(rginda)
Comment on attachment 206680 [details] [diff] [review]
missig -> missing

\/\/
Attachment #206680 - Flags: review?(rginda) → review+
Comment on attachment 204196 [details] [diff] [review]
Patch for convinient and paramter

i can't commit the nspr and probably certain other bits, and i won't commit the libical stuff, that needs an upstream if it's even relevant today.
Attachment #204196 - Flags: review?(timeless) → review+
Comment on attachment 204722 [details] [diff] [review]
conveter -> converter

Checked in by timeless.
Attachment #204722 - Attachment is obsolete: true
Comment on attachment 206680 [details] [diff] [review]
missig -> missing

Checked in by timeless.
Attachment #206680 - Attachment is obsolete: true
Attachment #203929 - Attachment is obsolete: true
Attachment #159944 - Attachment is obsolete: true
Someone didn't have much success in spelling success -> http://lxr.mozilla.org/seamonkey/search?string=sucess
(In reply to comment #239)
> Someone didn't have much success in spelling success ->
> http://lxr.mozilla.org/seamonkey/search?string=sucess

I've reported the ones in zlib to the upstream developer.

I suppose this is a typo rather than a spelling error but this seems to
be the best place to report it anyhow.

In a comment in mozilla/build/autoconf/mozconfig2configure,
"find-mozconfig.sh" should read "mozconfig-find"
Comment on attachment 204196 [details] [diff] [review]
Patch for convinient and paramter

mozilla/gfx/src/beos/nsImageBeOS.cpp 	1.38
mozilla/java/pluggable-jvm/wf/src/plugin/mozilla/wf_moz6_common.h 	1.3
mozilla/java/pluggable-jvm/wf_moz6/src/wf_moz6_common.h 	1.2
mozilla/js/src/jsinterp.h 	3.45
mozilla/layout/svg/renderer/public/nsISVGRendererGlyphGeometry.idl 	1.5
mozilla/layout/svg/renderer/public/nsISVGRendererGlyphMetrics.idl 	1.6
mozilla/layout/svg/renderer/public/nsISVGRendererPathGeometry.idl 	1.6
mozilla/security/manager/ssl/src/nsCrypto.cpp 	1.57
mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke_asm_x86_64.asm 	1.3
mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_sparcv9_solaris.cpp 	1.7
mozilla/widget/src/beos/nsWindow.h 	1.52
mozilla/xpfe/bootstrap/appleevents/nsAEApplicationClass.cpp 	1.14
Attachment #204196 - Attachment is obsolete: true
I'm also fixing references to nsDeviceContextSpecMac in files that aren't nsDeviceContextSpecMac ...
Attachment #212509 - Flags: review?(bernd_mozilla)
Attachment #212509 - Flags: review?(bernd_mozilla) → review+
Comment on attachment 212509 [details] [diff] [review]
cannonical *initaliz* sucess* definate occurance *stuct* paramter follw brwoser unsupposed and find-mozconfig.sh

mozilla/content/xslt/src/base/txList.cpp 	1.21
mozilla/content/xslt/src/base/txList.h 	1.20
mozilla/dom/src/base/nsDOMClassInfo.cpp 	1.357
mozilla/editor/libeditor/base/nsEditor.cpp 	1.458
mozilla/ef/Runtime/System/md/x86/Win32ExceptionHandler.cpp 	1.4
mozilla/ef/Runtime/System/md/x86/x86ExceptionHandler.cpp 	1.6
mozilla/ef/Runtime/System/md/x86/x86ExceptionHandler.h 	1.2
mozilla/embedding/browser/powerplant/source/CTextInputEventHandler.h 	1.4
mozilla/embedding/qa/mozembed/public/nsIQABrowserChrome.idl 	1.3
mozilla/extensions/irc/js/lib/irc.js 	1.87
mozilla/extensions/irc/xul/content/static.js 	1.188
mozilla/extensions/spellcheck/src/mozSpellChecker.cpp 	1.10
mozilla/gfx/src/shared/gfxImageFrame.cpp 	1.36 	33/33 
mozilla/gfx/src/shared/gfxImageFrame.h 	1.11
mozilla/java/plugins/test/README 	1.3
mozilla/grendel/sources/GrendelLauncher.java 	1.2
mozilla/js/jsd/jsd.h 	3.20
mozilla/grendel/sources/grendel/addressbook/jdbc/DBBuilder.java 	1.2
mozilla/java/util/classes/org/mozilla/util/Utilities.java 	1.7
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/StepInto.java 	1.6
mozilla/js/jsdj/classes/com/netscape/jsdebugging/ifcui/StepOver.java 	1.6
mozilla/js/jsd/classes/netscape/jsdebug/SourceTextItem.java 	3.4
mozilla/js/src/jsprvtd.h 	3.18
mozilla/js/jsd/corba/jsd_iiop.cpp 	1.6 	5/5 
mozilla/layout/base/nsCounterManager.cpp 	3.2
mozilla/js2/src/js2engine.h 	1.106
mozilla/js2/src/js2metadata.cpp 	1.264
mozilla/js2/src/js2runtime.h 	1.44
mozilla/mail/locales/en-US/chrome/messenger/importDialog.dtd 	1.5
mozilla/layout/style/nsCSSStyleSheet.cpp 	3.361
mozilla/js/jsdj/classes/netscape/jsdebug/SourceTextItem.java 	1.4
mozilla/mailnews/imap/src/nsImapProtocol.cpp 	1.621
mozilla/modules/libpr0n/decoders/gif/nsGIFDecoder2.cpp 	1.68
mozilla/lib/mac/UserInterface/CSelector.h 	3.4
mozilla/mailnews/mime/src/mimetpfl.cpp 	1.54
mozilla/modules/libpr0n/public/imgIDecoder.idl 	1.6
mozilla/modules/libpr0n/decoders/png/nsPNGDecoder.cpp 	1.48
mozilla/modules/plugin/base/src/nsJSNPRuntime.cpp 	1.13
mozilla/modules/plugin/samples/npthread/windows/np_entry.cpp 	1.4
mozilla/modules/oji/tests/FAQ 	1.4
mozilla/msgsdk/C/src/nsio.c 	1.3
mozilla/modules/rdf/src/ht.h 	3.31
mozilla/mstone/bin/args.pl 	1.5
mozilla/modules/softupdt/src/nsSoftwareUpdate.cpp 	1.12
mozilla/modules/softupdt/classes/netscape/softupdate/SoftwareUpdate.java 	3.5
mozilla/mstone/src/http-util.c 	1.3
mozilla/netwerk/base/src/nsSocketTransport2.cpp 	1.38
mozilla/netwerk/base/src/nsURLParsers.cpp 	1.26
mozilla/storage/src/mozStorageAsyncIO.cpp 	1.5
mozilla/netwerk/protocol/http/src/nsHttpResponseHead.cpp 	1.44
mozilla/parser/htmlparser/src/CNavDTD.h 	3.135
mozilla/toolkit/components/printing/content/printjoboptions.js 	1.9
mozilla/tools/trace-malloc/spacetrace.c 	1.53
mozilla/widget/src/beos/nsDeviceContextSpecB.h 	1.2
mozilla/widget/src/cocoa/nsChildView.mm 	1.140
mozilla/xpcom/string/public/nsReadableUtils.h 	1.49
mozilla/xpcom/string/public/nsTAString.h 	1.20
mozilla/xpcom/string/public/nsTString.h 	1.22
mozilla/xpcom/string/public/nsTSubstring.h 	1.21
mozilla/xpcom/ds/nsITimelineService.idl 	3.11
mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs_asm_x86_64.asm 	1.3
mozilla/widget/src/windows/nsDataObj.cpp 	1.75
mozilla/widget/src/windows/nsDataObj.h 	1.29
mozilla/widget/src/windows/nsDataObjCollection.h 	1.10
mozilla/widget/src/windows/nsWindow.cpp 	3.618
mozilla/widget/src/os2/nsDeviceContextSpecOS2.h 	1.26
mozilla/xpcom/io/nsLocalFileOS2.cpp 	1.87
mozilla/xpcom/io/nsLocalFileWin.cpp 	1.151
mozilla/xpcom/tests/TestMinStringAPI.cpp 	1.13
mozilla/widget/src/mac/nsDeviceContextSpecX.h 	1.12
mozilla/widget/src/mac/nsMacEventHandler.cpp 	1.180
mozilla/xpfe/global/resources/content/unix/printjoboptions.js 	1.18
mozilla/xpcom/tests/windows/TestHelloXPLoop.cpp 	1.12
mozilla/xpfe/bootstrap/icons/windows/readme.txt 	1.2
mozilla/browser/components/places/src/nsNavHistoryResult.cpp 	1.55
mozilla/build/autoconf/mozconfig2configure 	1.9
mozilla/calendar/resources/content/selectAddressesDialog.js 	1.6
mozilla/calendar/resources/content/pref/prefBird.xul 	1.6
mozilla/camino/src/bookmarks/BookmarkViewController.mm 	1.64
mozilla/camino/src/browser/BrowserWindowController.mm 	1.232
mozilla/camino/src/formfill/wallet.mm 	1.4
mozilla/caps/src/nsPrincipal.cpp 	1.39
mozilla/caps/src/nsSystemPrincipal.cpp 	1.32
mozilla/config/preprocessor.pl 	3.32
mozilla/config/preprocessor.txt 	1.5
mozilla/cck/muc/dialshr.cpp 	1.5
mozilla/cck/muc/muc.rc 	1.2
mozilla/content/base/public/nsIDocument.h 	3.231
mozilla/content/base/src/nsDocument.cpp 	3.622
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_Perforce.pm 	1.32
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_PVCSDimensions.pm 	1.5
mozilla/webtools/tinderbox2/src/lib/TinderDB/VC_Bonsai.pm 	1.73
mozilla/webtools/bugzilla/contrib/bug_email.pl 	1.33
mozilla/webtools/bugzilla/importxml.pl 	1.48
mozilla/webtools/bugzilla/editmilestones.cgi 	1.51
mozilla/webtools/update/core/reportcomment.php 	1.4
Attachment #212509 - Attachment is obsolete: true
Indentify should be OK if it's talking about indentation of list items and the like, even if it isn't in the dictionary.
Belay that.  Only one seems to be about list items and that should just be "indent".
Posted patch buring->during (obsolete) — Splinter Review
Should be a typo.
Attachment #216402 - Flags: review?(timeless)
Attachment #216402 - Flags: review?(timeless) → review+
This ruleset needs to be hand reviewed match by match, as some are correct, and a couple aren't, and it needs to be done for each top level directory one at a time. unfortunately the search takes too long w/o the directory restriction, so the find part is required:

http://landfill.mozilla.org/mxr-test/mozilla/search?string=in%20to&find=js%2f&filter=%5cbin%20to%5cb
Re: comment #255:
"t in to" will pick up the only two that I think need correcting.
http://lxr.mozilla.org/mozilla/search?string=abilt
(capabilty, compatabilty, etc.)
gfx/src/ps/nsAFMObject.h:   * @param aFontInfo -- The header structure to read the caracter info from
gfx/src/mac/nsUnicodeRenderingToolkit.cpp:// all the chracter should not be drawn if there are no glyph
gfx/src/mac/nsUnicodeRenderingToolkit.cpp:// because Japanese, Chinese and Korean font have these chracters. If we let them
extensions/safe-browsing/lib/url-canonicalizer.js: * the charcters: [0, 32], 37, [127, 255].
intl/lwbrk/src/nsJISx4501LineBreaker.cpp:     c = 5; // CJK charcter, Han, and Han Compatability
security/nss/lib/base/utf8.c:     * TeletexString charcter set.  Implementations that process
content/base/src/nsContentUtils.cpp:  // Skip charaters in the beginning
content/base/src/nsContentUtils.cpp:  // Skip whitespace charaters in the beginning
extensions/p3p/src/nsP3PUtils.cpp:  // Skip charaters in the beginning
extensions/webservices/docs/New_Security_Model.html:also use wild charater(s) in "from" value.<br>
gfx/src/ps/nsAFMObject.cpp:               GetAFMInt(&mPSFontInfo->mNumCharacters);     // number of charaters that follow
security/nss/lib/certdb/alg1485.c:              /* escape charater must appear with paired char */
(I tested all "one-off" typos of character: missing letter, added letter, changed letter, switched letters)


gfx/src/xprintutil/xprintutil.c: * Retun error if printer does not support setting a resolution
gfx/src/xprintutil/xprintutil.c: * Retun error if printer does not support setting a resolution or if per-page
gfx/src/xprintutil/xprintutil.c: * Retun error if printer does not support setting an orientation
gfx/src/xprintutil/xprintutil.c: * Retun error if printer does not support setting an orientation or if
gfx/src/xprintutil/xprintutil.c: * Retun error if printer does not support setting an plex
gfx/src/xprintutil/xprintutil.c: * Retun error if printer does not support setting an plex or if
nsprpub/lib/libc/include/plbase64.h: * is retuned if the allocation fails, or if the source is not well-coded.
security/nss/cmd/lib/secutil.h:** ignores length and content type, just retuning DSTrue is the password
widget/src/xremoteclient/nsRemoteClient.h:   * @retun true if succeeded, false if no running instance was found.
content/xul/templates/src/nsXULTemplateQueryProcessorRDF.h:     * is retured as aLastNode. All nodes will have been added to mAllTests
gfx/src/gtk/nsFontMetricsGTK.cpp:  // a font. Just returing mWesternFont
gfx/src/xlib/nsFontMetricsXlib.cpp:  // a font. Just returing mWesternFont
gfx/src/xprintutil/xprintutil.c:  XVisualInfo      *vip;           /* retured info */
layout/base/nsCSSFrameConstructor.cpp:  // our new frame retured is the top frame which is the list frame.
layout/generic/nsBlockBandData.cpp:  printf("nsBBD %p GetAvailableSpace(%d) returing (%d, %d, %d, %d)\n",
netwerk/protocol/viewsource/src/nsViewSourceChannel.cpp:    // channel's GetContentType(). Returing the string above trips up
mailnews/imap/src/nsIMAPGenericParser.cpp:// CreateNilString creates either NIL (reutrns NULL) or a string
nsprpub/pr/include/prtrace.h:**  qhandle: A valid PRTraceHandle retruned from a previous call
(ditto all simple typos of return)
Checking in modules/plugin/base/src/nsPluginHostImpl.cpp;
/cvsroot/mozilla/modules/plugin/base/src/nsPluginHostImpl.cpp,v  <--  nsPluginHostImpl.cpp
new revision: 1.553; previous revision: 1.552
done
From Alfred.Peng@Sun.COM
attachment 216402 [details] [diff] [review] was obsoleted by comment 261.
this covers most of comment 247 .. comment 263.

*except* for comment 259 which is actually two problems. the first is the obvious lt thing. the second might or might not be obvious, but the correct spelling of compatability has fewer a's and more i's.

it's also exclusive of sqlite3, nsprpub and security.

the jsd stuff is also omitted and will always be so. that api exists in shipped products, and i'm not really sure i want to break it.

note that the next fun round includes filing a bug against php.
Attachment #216402 - Attachment is obsolete: true
Attachment #224650 - Flags: review?(bernd_mozilla)
more:
succesfully
browers
*** Bug 310437 has been marked as a duplicate of this bug. ***
Posted patch deafault->default (obsolete) — Splinter Review
Attachment #226617 - Flags: review?(timeless)
Comment on attachment 226617 [details] [diff] [review]
deafault->default

r=brade
Attachment #226617 - Flags: review?(timeless) → review+
Depends on: 337890
http://lxr.mozilla.org/seamonkey/search?string=trys+

Note the + at the end, which bugzilla might fail to link properly.
http://lxr.mozilla.org/mozilla/search?string=huold

also note that 'functio' is an interesting, albeit terribly hard thing to find. if anyone manages to find a good lister link, please provide it :(.
There's another "shuold" besides the ones on "functio" lines.
paramter
seperate
"interger" is back again, too.
Comment on attachment 224650 [details] [diff] [review]
most of comment 247 .. comment 263 -- except for comment 259

I am not certain that one should touch grendel at all. So the r+ is one everything except grendel.
Attachment #224650 - Flags: review?(bernd_mozilla) → review+
this excluded:
calendar/libical db/sqlite3 directory gfx/cairo/cairo nsprpub security webtools/remora/cake webtools/testopia/testopia/dojo-ajax
This looks wrong in today's patch:

diff -U0 -r1.1 webtools/firefox_survey/vendors/captcha/.ht_freecap_words [...]
@@ -136 +136 @@
-alight
+alignt
Comment on attachment 224650 [details] [diff] [review]
most of comment 247 .. comment 263 -- except for comment 259

mozilla/browser/installer/unix/config.it 	1.20
mozilla/browser/installer/windows/config.it 	1.37
mozilla/calendar/libical/NEWS 	1.2
mozilla/camino/src/history/nsSimpleGlobalHistory.cpp 	1.26
mozilla/content/base/public/nsIXMLHttpRequest.idl 	1.31
mozilla/content/base/src/nsContentUtils.cpp 	1.180
mozilla/content/base/src/nsPlainTextSerializer.cpp 	1.120
mozilla/content/base/src/nsRange.cpp 	1.207
mozilla/content/xul/templates/src/nsXULTemplateQueryProcessorRDF.h 	1.3
mozilla/directory/java-sdk/ldapsp/com/netscape/jndi/ldap/ContextEnv.java 	1.7
mozilla/dom/tests/js/write2.html 	1.2
mozilla/extensions/help/resources/locale/en-US/help-toc.rdf 	1.89
mozilla/extensions/p3p/public/nsIPolicyListener.idl 	1.2
mozilla/extensions/p3p/src/nsP3PUtils.cpp 	1.3
mozilla/extensions/python/dom/test/pyxultest/chrome/content/document_write.xul 	1.3
mozilla/extensions/safe-browsing/lib/url-canonicalizer.js 	1.2
mozilla/extensions/schema-validation/src/nsSchemaValidator.cpp 	1.32
mozilla/extensions/schema-validation/src/nsSchemaValidatorUtils.cpp 	1.18
mozilla/extensions/schema-validation/src/nsSchemaValidatorUtils.h 	1.11
mozilla/extensions/spatialnavigation/test/prefs.txt 	1.2
mozilla/extensions/webservices/docs/New_Security_Model.html 	1.2
mozilla/extensions/webservices/proxy/src/wspfactory.cpp 	1.15
mozilla/extensions/webservices/proxy/src/wspprivate.h 	1.14
mozilla/extensions/webservices/public/nsISOAPCall.idl 	1.18
mozilla/extensions/webservices/public/nsISOAPMessage.idl 	1.11
mozilla/extensions/webservices/public/nsISOAPServiceRegistry.idl 	1.9
mozilla/extensions/webservices/public/nsISOAPTransport.idl 	1.15
mozilla/extensions/webservices/public/nsISOAPTransportListener.idl 	1.13
mozilla/gfx/src/gtk/nsFontMetricsGTK.cpp 	1.289
mozilla/gfx/src/mac/nsUnicodeRenderingToolkit.cpp 	1.50
mozilla/gfx/src/ps/nsAFMObject.cpp 	1.33
mozilla/gfx/src/ps/nsAFMObject.h 	1.13
mozilla/gfx/src/xlib/nsDeviceContextSpecXlib.cpp 	1.51
mozilla/gfx/src/xlib/nsFontMetricsXlib.cpp 	1.174
mozilla/gfx/src/xprintutil/xprintutil.c 	1.6
mozilla/intl/chardet/public/nsDetectionConfident.h 	1.8
mozilla/intl/lwbrk/src/nsJISx4501LineBreaker.cpp 	1.52
mozilla/intl/uconv/idl/nsICharsetConverterManager.idl 	1.4
mozilla/ipc/ipcd/client/public/ipcdclient.h 	1.4
mozilla/ipc/ipcd/extensions/transmngr/module/tmQueue.h 	1.4
mozilla/java/pluggable-jvm/wf/src/plugin/netscape4/wfe_netscape4.c 	1.3
mozilla/java/pluggable-jvm/wf/src/plugin/unix/shmtran.c 	1.3
mozilla/java/plugins/test/doc/api/description.html 	1.2
mozilla/java/xpcom/test/basic/params/J2XOUT/cpp/J2XOUTServerTestComponent.cpp 	1.3
mozilla/js/perf/README-jsPerformance.html 	1.4
mozilla/js/perf/tests/date/create-002.js 	1.2
mozilla/js/rhino/docs/rhino16R1.html 	1.4
mozilla/js/rhino/docs/rhino16R2.html 	1.12
mozilla/js/src/liveconnect/jsj_private.h 	1.41
mozilla/js/src/perlconnect/jsperl.c 	1.16
mozilla/layout/base/nsCSSFrameConstructor.cpp 	1.1255
mozilla/layout/base/nsPresContext.cpp 	3.311
mozilla/layout/doc/frame_reflow_debug.html 	1.4
mozilla/layout/forms/nsTextControlFrame.cpp 	3.232
mozilla/layout/generic/nsBlockBandData.cpp 	1.49
mozilla/layout/generic/nsFrame.cpp 	3.668
mozilla/layout/generic/nsImageMap.cpp 	3.126
mozilla/mail/installer/windows/config.it 	1.31
mozilla/mailnews/extensions/bayesian-spam-filter/src/nsBayesianFilter.cpp 	1.56
mozilla/mailnews/extensions/bayesian-spam-filter/src/nsBayesianFilter.h 	1.19
mozilla/modules/plugin/tools/spy/common/format.cpp 	1.6
mozilla/modules/plugin/tools/tester/common/loghlp.cpp 	1.8
mozilla/modules/rdf/include/htrdf.h 	3.25
mozilla/netwerk/base/public/nsIPermissionManager.idl 	1.2
mozilla/netwerk/protocol/viewsource/src/nsViewSourceChannel.cpp 	1.25
mozilla/rdf/base/idl/nsIRDFXMLSource.idl 	1.8
mozilla/toolkit/components/history/src/nsGlobalHistory.cpp 	1.78
mozilla/tools/jprof/stub/libmalloc.cpp 	1.22
mozilla/tools/jprof/stub/libmalloc.cpp 	1.23
mozilla/tools/trace-malloc/tmfrags.c 	1.8
mozilla/view/src/nsViewManager.cpp 	3.434
mozilla/webtools/tinderbox2/Install 	1.34
m